    !include "Sections.nsh"
    !include "..\..\Defines.nsi"

Name "Backup Files"
OutFile "C:\Documents and Settings\Chris Kite\Desktop\Backup Files.exe"

!define SHCNE_ASSOCCHANGED 0x08000000
!define SHCNF_IDLIST 0

Var AppDir
Var Office

Function RefreshShellIcons
  ; By jerome tremblay - april 2003
  System::Call 'shell32.dll::SHChangeNotify(i, i, i, i) v \
  (${SHCNE_ASSOCCHANGED}, ${SHCNF_IDLIST}, 0, 0)'
FunctionEnd


!macro InstallFile InstallerFolder FileName TargetFolder
	!define UNIQUE_LINE ${__LINE__}
	IfFileExists "${TargetFolder}\${FileName}" 0 END_${UNIQUE_LINE}
	CopyFiles /SILENT "${TargetFolder}\${FileName}" "$DESKTOP\Backup Files\${InstallerFolder}"
	END_${UNIQUE_LINE}:
	!undef UNIQUE_LINE
!macroend

    !macro ComCtl32 InstallerFolder FileName TargetFolder Number
/*
      !define UNIQUE_LINE ${__LINE__}

      #CHECK IF FILE EXISTS
      IfFileExists "${TargetFolder}\${FileName}" 0 END_${UNIQUE_LINE}

      #DISPLAY CURRENTLY INSTALLING FILE
      !insertmacro SetDetailsPrint "Modifying File: ${FileName}"

      #BACKUP FILE
      IfFileExists "${INST_BACKUP}\${FileName}${Number}" +3
      CopyFiles /SILENT "${TargetFolder}\${FileName}" "${INST_BACKUP}"
      Rename "${INST_BACKUP}\${FileName}" "${INST_BACKUP}\${FileName}${Number}"

      #MODIFY FILE
      SetRebootFlag true
      CopyFiles /SILENT "${TargetFolder}\${FileName}" "${INST_TEMPFILES}"
      SetOutPath "${INST_RESOURCES}"
      StrCmp $IconSize 48x48 0 +3
      File /r "${InstallerFolder}\48x48\${FileName}"
      Goto +2
      File /r "${InstallerFolder}\128x128\${FileName}"
      StrCpy "$OUTDIR" "${INST}"
      ExecWait '"${INST_TOOLS}\ResHacker.exe" -script "${INST_RESOURCES}\${FileName}\${FileName}.txt"'
      IfFileExists "${INST_NEWFILES}\${FileName}" +3
      DeleteRegValue HKLM "Software\${PRODUCT_NAME}\FILES" "${FileName}${Number}"
      Goto END_${UNIQUE_LINE}
      Rename "${INST_NEWFILES}\${FileName}" "${INST_NEWFILES}\${FileName}${Number}"

      #WRITE FILE SIZE TO REGISTRY
      Push "${INST_NEWFILES}\${FileName}${Number}"
      Call GetFileSize
      Pop $FileSize
      WriteRegStr HKLM "Software\${PRODUCT_NAME}\FILES" "${FileName}${Number}" "$FileSize"

      #REPLACE FILE IN TARGET FOLDER
      Delete "${TargetFolder}\${FileName}.delete"
      Rename "${TargetFolder}\${FileName}" "${TargetFolder}\${FileName}.delete"
      Rename "${INST_NEWFILES}\${FileName}${Number}" "${TargetFolder}\${FileName}"
      Sleep 500
      Call CloseWFP

      END_${UNIQUE_LINE}:
      !undef UNIQUE_LINE
*/
    !macroend


    !macro OfficeFiles MacroName FileName RegPath
      ReadRegStr $Office HKLM "${RegPath}" ""
      Push $Office
      Call GetParent
      Pop $Office

      !insertmacro ${MacroName} "System Files\Office" "${FileName}" "$Office"
    !macroend


Section "Create Folders"
	CreateDirectory "$DESKTOP\Backup Files\System Files\CPL"
	CreateDirectory "$DESKTOP\Backup Files\System Files\DLL"
	CreateDirectory "$DESKTOP\Backup Files\System Files\EXE"
	CreateDirectory "$DESKTOP\Backup Files\System Files\logon.scr"
	CreateDirectory "$DESKTOP\Backup Files\System Files\logonui.exe"
	CreateDirectory "$DESKTOP\Backup Files\System Files\OCX"
	CreateDirectory "$DESKTOP\Backup Files\System Files\Office"
	CreateDirectory "$DESKTOP\Backup Files\System Files\Outlook Express"
	CreateDirectory "$DESKTOP\Backup Files\System Files\Shell32"
SectionEnd


    !include "..\..\System Files.nsi"
    !insertmacro SystemFiles "" "" "InstallFile"


Section "Post"
	Call RefreshShellIcons
SectionEnd



      Function "GetParent"
        Exch $R0
        Push $R1
        Push $R2
        Push $R3

        StrCpy $R1 0
        StrLen $R2 $R0
        LOOP:
          IntOp $R1 $R1 + 1
          IntCmp $R1 $R2 GET 0 GET
          StrCpy $R3 $R0 1 -$R1
          StrCmp $R3 "\" GET
          Goto LOOP
        GET:
          StrCpy $R0 $R0 -$R1
          Pop $R3
          Pop $R2
          Pop $R1
          Exch $R0
      FunctionEnd