#==========================================
# INSTALLER INFORMATION
#==========================================
    Name "Extract Icons"
    OutFile "C:\Documents and Settings\Chris Kite\Desktop\Extract Icons.exe"

    #REFRESH SHELL ICONS
    !define SHCNE_ASSOCCHANGED 0x08000000
    !define SHCNF_IDLIST 0


#==========================================
# VARIABLES
#==========================================
    Var FILE
    Var ICON


#==========================================
# FUNCTION
#==========================================
    Function SplitFirstStrPart
      Exch $R0
      Exch
      Exch $R1
      Push $R2
      Push $R3
      StrCpy $R3 $R1
      StrLen $R1 $R0
      IntOp $R1 $R1 + 1
      loop:
        IntOp $R1 $R1 - 1
        StrCpy $R2 $R0 1 -$R1
        StrCmp $R1 0 exit0
        StrCmp $R2 $R3 exit1 loop
      exit0:
      StrCpy $R1 ""
      Goto exit2
      exit1:
        IntOp $R1 $R1 - 1
        StrCmp $R1 0 0 +3
        StrCpy $R2 ""
        Goto +2
        StrCpy $R2 $R0 "" -$R1
        IntOp $R1 $R1 + 1
        StrCpy $R0 $R0 -$R1
        StrCpy $R1 $R2
      exit2:
      Pop $R3
      Pop $R2
      Exch $R1 ;rest
      Exch
      Exch $R0 ;first
    FunctionEnd



#==========================================
# SECTION
#==========================================
    Section "Extract and Rename Icons"
      SetDetailsPrint none

      InitPluginsDir
      SetOutPath $PLUGINSDIR
      File iconsext.exe


      #FIND FILE
      FindFirst $2 $FILE "$EXEDIR\*"
      IfErrors FINDNEXTFILE

      LOOP:
        StrCmp $FILE ".." FINDNEXTFILE
        StrCmp $FILE "." FINDNEXTFILE
        StrCmp $FILE "Extract Icons.exe" FINDNEXTFILE

        CreateDirectory "$DESKTOP\Extracted Icons\$FILE"
        ExecWait '"$PLUGINSDIR\iconsext.exe" /save "$EXEDIR\$FILE" "$DESKTOP\Extracted Icons\$FILE" -icons'

        #FIND ICON
        FindFirst $3 $ICON "$DESKTOP\Extracted Icons\$FILE\*"
        IfErrors FINDNEXTICON

        RENAMELOOP:
          StrCmp $FILE ".." FINDNEXTICON
          StrCmp $FILE "." FINDNEXTICON
          Push "_" ;divider char
          Push "$ICON"
          Call SplitFirstStrPart
          Pop $R0
          Pop $R1
          Rename "$DESKTOP\Extracted Icons\$FILE\$ICON" "$DESKTOP\Extracted Icons\$FILE\$R1"

          FINDNEXTICON:
            ClearErrors
            FindNext $3 $ICON
            IfErrors 0 RENAMELOOP


        FINDNEXTFILE:
          ClearErrors
          FindNext $2 $FILE
          IfErrors 0 LOOP

      FindClose $2
      FindClose $3

      System::Call 'shell32.dll::SHChangeNotify(i, i, i, i) v (${SHCNE_ASSOCCHANGED}, ${SHCNF_IDLIST}, 0, 0)'

      SetOutPath $TEMP
      System::Free 0
    SectionEnd