!include "Defines.nsi"
!include "System Files.nsi"
!define NAME "Batch Restore Script"
!define BatchRestoreScript

Name "${NAME}"
Outfile "Assets\Tools\${NAME}.exe"

Var AppDir

!macro Restore${NAME} UNUSED FileName TargetDirectory
	!define UNIQUE_LINE ${__LINE__}

	IfFileExists "${INST_BACKUP}\${FileName}" 0 END_${UNIQUE_LINE}
	StrCmp "${TargetDirectory}" "$SYSDIR" +4
	StrCmp "${TargetDirectory}" "$WINDIR" +3
	StrCmp "${TargetDirectory}" "$WINDIR\srchasst" +2
	StrCmp "${TargetDirectory}" "$WINDIR\pchealth\helpctr\binaries" +1 END_${UNIQUE_LINE}

	FileWrite $9 "COPY $\"${INST_BACKUP}\${FileName}$\" $\"${TargetDirectory}\${FileName}$\"$\r$\n"

	END_${UNIQUE_LINE}:
	!undef UNIQUE_LINE
!macroend



Section "Open File"
	FileOpen $9 "$WINDIR\Restore${PRODUCT_NAME}.txt" "w"
SectionEnd

!insertmacro SystemFiles "" "" "Restore${NAME}"

Section "Misc Files"
  !insertmacro Restore${NAME} "Extras\Logon Screen" "logonui.exe" "$SYSDIR"
  !insertmacro Restore${NAME} "Extras\Boot Screen" "ntoskrnl.exe" "$SYSDIR"
  !insertmacro Restore${NAME} "Extras\Default Screen Saver" "logon.scr" "$SYSDIR"
SectionEnd

Section "Close File"
	FileClose $9

  SetOutPath $TEMP
  System::Free 0
SectionEnd



		#UNLOAD SYSTEM PLUGIN ON INSTALL SUCCESS
    Function .onInstSuccess
      SetOutPath $TEMP
      System::Free 0
    FunctionEnd