#==========================================
# COMPRESSION SETTINGS
#==========================================
    CRCCheck force
    SetCompressor /SOLID /FINAL lzma



#==========================================
# DEFINES
#==========================================
    !define NAME "Current User Settings"
    !define SW_HIDE 0



#==========================================
# INCLUDES
#==========================================
    !include "Defines.nsi"



#==========================================
# INSTALLER INFORMATION
#==========================================
    Name "${NAME}"
    Outfile "Assets\Tools\${NAME}.exe"



#==========================================
# INTERFACE SETTINGS
#==========================================
    Caption "${NAME}"
    BrandingText "${COPYRIGHT} ${PRODUCT_PUBLISHER}"
    XPStyle on
    ChangeUI IDD_INST "Assets\Dialogs\${NAME}.exe"
    ShowInstDetails nevershow
    InstallColors /windows
    Icon "Assets\Images\Icons\${NAME}.ico"

    Var AppDir



#==========================================
# PAGES
#==========================================
    Page custom MainPage
    Page instfiles



#==========================================
# MACROS
#==========================================
    !macro IconSize Field Size Spacing
      ReadINIStr "$0" "$PLUGINSDIR\${NAME}.ini" "Field ${Field}" "State"
      StrCmp "$0" "1" 0 +6
      SetRebootFlag true
      WriteRegStr HKCU "Control Panel\Desktop\WindowMetrics" "Shell Icon Size" "${Size}"
      WriteRegStr HKCU "Control Panel\Desktop\WindowMetrics" "IconSpacing" "${Spacing}"
      WriteRegStr HKCU "Control Panel\Desktop\WindowMetrics" "IconVerticalspacing" "${Spacing}"
      Goto END
    !macroend


    !macro ItemsInstalled File Field Rootkey Subkey Entry Switch
      IfFileExists "${File}" +3
      WriteIniStr "$PLUGINSDIR\${NAME}.ini" "Field ${Field}" "Flags" "DISABLED"
      Goto +4
      ReadRegStr "$0" "${Rootkey}" "${Subkey}" "${Entry}"
      StrCmp "$0" "${File}${Switch}" 0 +2
      WriteIniStr "$PLUGINSDIR\${NAME}.ini" "Field ${Field}" "State" "1"
    !macroend


    !macro ApplyItem Field RootKey Subkey Entry Value
      ReadINIStr "$0" "$PLUGINSDIR\${NAME}.ini" "Field ${Field}" "Flags"
      StrCmp "$0" "DISABLED" +8
      ReadINIStr "$0" "$PLUGINSDIR\${NAME}.ini" "Field ${Field}" "State"
      StrCmp "$0" "1" 0 +3
      WriteRegStr "${Rootkey}" "${Subkey}" "${Entry}" '${Value}'
      Goto +4
      ReadRegStr $0 "${Rootkey}" "${Subkey}" "${Entry}"
      StrCmp $0 '${Value}' 0 +2
    !macroend



#==========================================
# SECTION - SETTINGS
#==========================================
    Section "Settings"
      HideWindow
      SetAutoClose true

      ReadINIStr "$0" "$PLUGINSDIR\${NAME}.ini" "Field 2" "Flags"
      StrCmp "$0" "DISABLED" SOUNDS
      ReadINIStr "$0" "$PLUGINSDIR\${NAME}.ini" "Field 2" "State"
      StrCmp "$0" "1" 0 NOCURSORS
      WriteRegStr HKCU "Control Panel\Cursors\Schemes" "OS X" "$WINDIR\Cursors\OSX\OS X Cursor.cur,$WINDIR\Cursors\OSX\OS X Help.cur,$WINDIR\Cursors\OSX\OS X Working.ani,$WINDIR\Cursors\OSX\OS X Busy.ani,$WINDIR\Cursors\OSX\OS X Cross.cur,$WINDIR\Cursors\OSX\OS X Beam.cur,$WINDIR\Cursors\OSX\OS X Pen.cur,$WINDIR\Cursors\OSX\OS X Unavailable.cur,$WINDIR\Cursors\OSX\OS X Size Horz.cur,$WINDIR\Cursors\OSX\OS X Size Vert.cur,$WINDIR\Cursors\OSX\OS X Resize Right.cur,$WINDIR\Cursors\OSX\OS X Resize Left.cur,$WINDIR\Cursors\OSX\OS X Resize All.cur,$WINDIR\Cursors\OSX\OS X Alternate.cur,$WINDIR\Cursors\OSX\OS X Hand.cur"
      WriteRegStr HKCU "Control Panel\Cursors" "" "OS X"
      WriteRegExpandStr HKCU "Control Panel\Cursors" "AppStarting" "$WINDIR\Cursors\OSX\OS X Working.ani"
      WriteRegExpandStr HKCU "Control Panel\Cursors" "Arrow" "$WINDIR\Cursors\OSX\OS X Cursor.cur"
      WriteRegExpandStr HKCU "Control Panel\Cursors" "Crosshair" "$WINDIR\Cursors\OSX\OS X Cross.cur"
      WriteRegExpandStr HKCU "Control Panel\Cursors" "Hand" "$WINDIR\Cursors\OSX\OS X Hand.cur"
      WriteRegExpandStr HKCU "Control Panel\Cursors" "Help" "$WINDIR\Cursors\OSX\OS X Help.cur"
      WriteRegExpandStr HKCU "Control Panel\Cursors" "IBeam" "$WINDIR\Cursors\OSX\OS X Beam.cur"
      WriteRegExpandStr HKCU "Control Panel\Cursors" "No" "$WINDIR\Cursors\OSX\OS X Unavailable.cur"
      WriteRegExpandStr HKCU "Control Panel\Cursors" "NWPen" "$WINDIR\Cursors\OSX\OS X Pen.cur"
      WriteRegExpandStr HKCU "Control Panel\Cursors" "SizeAll" "$WINDIR\Cursors\OSX\OS X Resize All.cur"
      WriteRegExpandStr HKCU "Control Panel\Cursors" "SizeNESW" "$WINDIR\Cursors\OSX\OS X Resize Left.cur"
      WriteRegExpandStr HKCU "Control Panel\Cursors" "SizeNS" "$WINDIR\Cursors\OSX\OS X Size Horz.cur"
      WriteRegExpandStr HKCU "Control Panel\Cursors" "SizeNWSE" "$WINDIR\Cursors\OSX\OS X Resize Right.cur"
      WriteRegExpandStr HKCU "Control Panel\Cursors" "SizeWE" "$WINDIR\Cursors\OSX\OS X Size Vert.cur"
      WriteRegExpandStr HKCU "Control Panel\Cursors" "UpArrow" "$WINDIR\Cursors\OSX\OS X Alternate.cur"
      WriteRegExpandStr HKCU "Control Panel\Cursors" "Wait" "$WINDIR\Cursors\OSX\OS X Busy.ani"
      WriteRegDWORD HKCU "Control Panel\Cursors" "Scheme Source" 0x00000001
      Goto SOUNDS
      NOCURSORS:
      ReadRegStr $0 "HKCU" "Control Panel\Cursors" "AppStarting"
      StrCmp $0 "$WINDIR\Cursors\OSX\OS X Working.ani" 0 SOUNDS
      DeleteRegValue HKCU "Control Panel\Cursors" "AppStarting"
      DeleteRegValue HKCU "Control Panel\Cursors" "Arrow"
      DeleteRegValue HKCU "Control Panel\Cursors" "Crosshair"
      DeleteRegValue HKCU "Control Panel\Cursors" "Hand"
      DeleteRegValue HKCU "Control Panel\Cursors" "Help"
      DeleteRegValue HKCU "Control Panel\Cursors" "IBeam"
      DeleteRegValue HKCU "Control Panel\Cursors" "No"
      DeleteRegValue HKCU "Control Panel\Cursors" "NWPen"
      DeleteRegValue HKCU "Control Panel\Cursors" "SizeAll"
      DeleteRegValue HKCU "Control Panel\Cursors" "SizeNESW"
      DeleteRegValue HKCU "Control Panel\Cursors" "SizeNS"
      DeleteRegValue HKCU "Control Panel\Cursors" "SizeNWSE"
      DeleteRegValue HKCU "Control Panel\Cursors" "SizeWE"
      DeleteRegValue HKCU "Control Panel\Cursors" "UpArrow"
      DeleteRegValue HKCU "Control Panel\Cursors" "Wait"


      SOUNDS:
      ReadINIStr "$0" "$PLUGINSDIR\${NAME}.ini" "Field 3" "Flags"
      StrCmp "$0" "DISABLED" SCREENSAVER
      ReadINIStr "$0" "$PLUGINSDIR\${NAME}.ini" "Field 3" "State"
      StrCmp "$0" "1" 0 NOSOUNDS
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\.Default\.Current" "" "$RESOURCES\Sounds\Iceman\Ping.wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\AppGPFault\.Current" "" "$RESOURCES\Sounds\Iceman\Error.wav"
      #WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\Close\.Current" "" "$RESOURCES\Sounds\Iceman\Close.wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\DeviceConnect\.Current" "" "$RESOURCES\Sounds\Iceman\Hardware Connected.wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\DeviceDisconnect\.Current" "" "$RESOURCES\Sounds\Iceman\Hardware Disconnected.wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\DeviceFail\.Current" "" "$RESOURCES\Sounds\Iceman\Error.wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\LowBatteryAlarm\.Current" "" "$RESOURCES\Sounds\Iceman\Alarm.wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\MailBeep\.Current" "" "$RESOURCES\Sounds\Iceman\New Messages.wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\Maximize\.Current" "" "$RESOURCES\Sounds\Iceman\Maximize.wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\MenuCommand\.Current" "" "$RESOURCES\Sounds\Iceman\Menu Command.wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\MenuPopup\.Current" "" "$RESOURCES\Sounds\Iceman\Menu Popup.wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\Minimize\.Current" "" "$RESOURCES\Sounds\Iceman\Minimize.wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\PrintComplete\.Current" "" "$RESOURCES\Sounds\Iceman\Print Complete.wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\RestoreDown\.Current" "" "$RESOURCES\Sounds\Iceman\Undo(Max).wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\RestoreUp\.Current" "" "$RESOURCES\Sounds\Iceman\Undo(Min).wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\SystemAsterisk\.Current" "" "$RESOURCES\Sounds\Iceman\Open.wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\SystemExclamation\.Current" "" "$RESOURCES\Sounds\Iceman\Error.wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\SystemExit\.Current" "" "$RESOURCES\Sounds\Iceman\System Log Off.wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\SystemHand\.Current" "" "$RESOURCES\Sounds\Iceman\Purr.wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\SystemNotification\.Current" "" "$RESOURCES\Sounds\Iceman\Grab.wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\SystemQuestion\.Current" "" "$RESOURCES\Sounds\Iceman\Ping.wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\SystemStart\.Current" "" "$RESOURCES\Sounds\Iceman\System Log In.wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\SystemStartMenu\.Current" "" "$RESOURCES\Sounds\Iceman\Grab.wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\WindowsLogoff\.Current" "" "$RESOURCES\Sounds\Iceman\System Log Off.wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\WindowsLogon\.Current" "" "$RESOURCES\Sounds\Iceman\System Log In.wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\Explorer\EmptyRecycleBin\.Current" "" "$RESOURCES\Sounds\Iceman\Trash Empty.wav"
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\Explorer\Navigating\.Current" "" "$RESOURCES\Sounds\Iceman\Funk.wav"
      Goto SCREENSAVER
      NOSOUNDS:
      ReadRegStr $0 "HKCU" "AppEvents\Schemes\Apps\Explorer\Navigating\.Current" ""
      StrCmp $0 "$RESOURCES\Sounds\Iceman\Funk.wav" 0 SCREENSAVER
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\.Default\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\.Default\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\AppGPFault\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\AppGPFault\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\Close\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\Close\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\DeviceConnect\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\DeviceConnect\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\DeviceDisconnect\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\DeviceDisconnect\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\DeviceFail\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\DeviceFail\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\LowBatteryAlarm\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\LowBatteryAlarm\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\MailBeep\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\MailBeep\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\Maximize\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\Maximize\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\MenuCommand\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\MenuCommand\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\MenuPopup\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\MenuPopup\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\Minimize\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\Minimize\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\PrintComplete\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\PrintComplete\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\RestoreDown\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\RestoreDown\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\RestoreUp\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\RestoreUp\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\SystemAsterisk\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\SystemAsterisk\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\SystemExclamation\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\SystemExclamation\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\SystemExit\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\SystemExit\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\SystemHand\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\SystemHand\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\SystemNotification\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\SystemNotification\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\SystemQuestion\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\SystemQuestion\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\SystemStart\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\SystemStart\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\SystemStartMenu\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\SystemStartMenu\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\WindowsLogoff\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\WindowsLogoff\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\.Default\WindowsLogon\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\.Default\WindowsLogon\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\Explorer\EmptyRecycleBin\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\Explorer\EmptyRecycleBin\.Current" "" "$0"
      ReadRegStr $0 HKCU "AppEvents\Schemes\Apps\Explorer\Navigating\.Default" ""
      WriteRegExpandStr HKCU "AppEvents\Schemes\Apps\Explorer\Navigating\.Current" "" "$0"


      #SCREENSAVER
        SCREENSAVER:
        !insertmacro ApplyItem "4" "HKCU" "Control Panel\Desktop" "SCRNSAVE.EXE" "$SYSDIR\Flurry.scr"
        WriteRegStr HKCU "Control Panel\Desktop" "SCRNSAVE.EXE" "$SYSDIR\logon.scr"

      #OBJECTDOCK
        !insertmacro ApplyItem "6" "HKCU" "Software\Microsoft\Windows\CurrentVersion\Run" "ObjectDock" "$PROGRAMFILES\ObjectDock\ObjectDock.exe"
        DeleteRegValue HKCU "Software\Microsoft\Windows\CurrentVersion\Run" "ObjectDock"

      #RKLAUNCHER
        !insertmacro ApplyItem "7" "HKCU" "Software\Microsoft\Windows\CurrentVersion\Run" "RK Launcher" "$PROGRAMFILES\RK Launcher\RKLauncher.exe"
        DeleteRegValue HKCU "Software\Microsoft\Windows\CurrentVersion\Run" "RK Launcher"

      #YZSHADOW
        !insertmacro ApplyItem "8" "HKCU" "Software\Microsoft\Windows\CurrentVersion\Run" "Yz Shadow" "$PROGRAMFILES\YzShadow\YzShadow.exe"
        DeleteRegValue HKCU "Software\Microsoft\Windows\CurrentVersion\Run" "Yz Shadow"

      #WINROLL
        !insertmacro ApplyItem "9" "HKCU" "Software\Microsoft\Windows\CurrentVersion\Run" "WinRoll" "$PROGRAMFILES\WinRoll\winroll.exe"
        DeleteRegValue HKCU "Software\Microsoft\Windows\CurrentVersion\Run" "WinRoll"

      #SEARCHSPY
        !insertmacro ApplyItem "19" "HKCU" "Software\Microsoft\Windows\CurrentVersion\Run" "SearchSpy" "$PROGRAMFILES\SearchSpy\SearchSpyMenu.exe"
        DeleteRegValue HKCU "Software\Microsoft\Windows\CurrentVersion\Run" "SearchSpy"

      #ALTQHOTKEY
        !insertmacro ApplyItem "20" "HKCU" "Software\Microsoft\Windows\CurrentVersion\Run" "Alt+Q Hotkey Tool" "$WINDIR\Alt+Q Hotkey.exe"
        DeleteRegValue HKCU "Software\Microsoft\Windows\CurrentVersion\Run" "Alt+Q Hotkey Tool"

      #SYSTEMFILESUPDATER
        !insertmacro ApplyItem "21" "HKLM" "Software\Microsoft\Windows\CurrentVersion\Run" "System Files Updater" "${INST_TOOLS}\System Files Updater.exe /S"
        DeleteRegValue HKLM "Software\Microsoft\Windows\CurrentVersion\Run" "System Files Updater"

      #WALLPAPER
        !insertmacro ApplyItem "22" "HKCU" "Control Panel\Desktop" "Wallpaper" "$WINDIR\Web\Wallpaper\Aqua Blue.bmp"
        WriteRegStr HKCU "Control Panel\Desktop" "Wallpaper" "$WINDIR\Web\Wallpaper\Bliss.bmp"

      #UBERICON
        !insertmacro ApplyItem "23" "HKCU" "Software\Microsoft\Windows\CurrentVersion\Run" "UberIcon" '"$PROGRAMFILES\UberIcon\UberIcon Manager.exe"'
        DeleteRegValue HKCU "Software\Microsoft\Windows\CurrentVersion\Run" "UberIcon"

      #TIGERVS
      ReadINIStr "$0" "$PLUGINSDIR\${NAME}.ini" "Field 18" "Flags"
      StrCmp "$0" "DISABLED" ICONSIZE
      ReadINIStr "$0" "$PLUGINSDIR\${NAME}.ini" "Field 18" "State"
      StrCmp "$0" "1" 0 NOTIGERVS
      WriteRegStr HKCU "Software\Microsoft\Windows\CurrentVersion\ThemeManager" "WCreatedUser" "1"
      WriteRegStr HKCU "Software\Microsoft\Windows\CurrentVersion\ThemeManager" "LoadedBefore" "0"
      WriteRegStr HKCU "Software\Microsoft\Windows\CurrentVersion\ThemeManager" "ThemeActive" "1"
      WriteRegStr HKCU "Software\Microsoft\Windows\CurrentVersion\ThemeManager" "ColorName" "NormalColor"
      WriteRegStr HKCU "Software\Microsoft\Windows\CurrentVersion\ThemeManager" "SizeName" "NormalSize"
      WriteRegStr HKCU "Control Panel\Desktop\WindowMetrics" "Borderwidth" "0"
      WriteRegDWORD HKCU "Control Panel\Appearance\New Schemes\Current Settings SaveAll\Sizes\0" "Flat Menus" 0x00000001
      WriteRegExpandStr HKCU "Software\Microsoft\Windows\CurrentVersion\ThemeManager" "DllName" "%SystemRoot%\Resources\Themes\Tiger\Tiger.msstyles"

      ReadRegStr $AppDir HKLM "SOFTWARE\Stardock\ObjectDesktop\WindowBlinds" "Path"
      IfFileExists "$AppDir\wbconfig.exe" 0 ICONSIZE
      SetOutPath "$PLUGINSDIR"
      DeleteRegKey HKCU "Software\Stardock\WindowBlinds\WB5.ini\WBLiteFX"
      GetDLLVersion "$AppDir\wbconfig.exe" $R0 $R1
       IntOp $1 $R0 / 0x00010000
       StrCmp "$1" "4" 0 +3
        File "Skins\Visual Styles\WindowBlinds\WB4.reg"
        ExecWait 'regedit.exe /s "$PLUGINSDIR\WB4.reg"'
       StrCmp "$1" "5" 0 +3
        File "Skins\Visual Styles\WindowBlinds\WB5.reg"
        ExecWait 'regedit.exe /s "$PLUGINSDIR\WB5.reg"'
      WriteRegStr HKCU "Software\Stardock\WindowBlinds\WB5.ini\WBLiteFX" "Skinset" "$AppDir\Mac OS X Tiger\OSX_Brushed_Aqua.sss"
      Goto ICONSIZE
      NOTIGERVS:
      ReadRegStr $0 HKCU "Software\Microsoft\Windows\CurrentVersion\ThemeManager" "DllName"
      StrCmp $0 "%SystemRoot%\Resources\Themes\Tiger\Tiger.msstyles" 0 +2
      WriteRegExpandStr HKCU "Software\Microsoft\Windows\CurrentVersion\ThemeManager" "DllName" "%SystemRoot%\Resources\Themes\Luna\Luna.msstyles"

      ICONSIZE:
      !insertmacro IconSize "11" "32" "-1125"
      !insertmacro IconSize "12" "48" "-1365"
      !insertmacro IconSize "13" "64" "-1605"
      !insertmacro IconSize "14" "72" "-1725"
      !insertmacro IconSize "15" "96" "-1965"
      !insertmacro IconSize "16" "128" "-2400"

      END:
    SectionEnd



#==========================================
# FUNTIONS
#==========================================
    Function .onInit
      InitPluginsDir

      System::Call "kernel32::CreateMutexA(i 0, i 0, t '${NAME}') i .r0 ?e"
      Pop $0
      StrCmp $0 0 LAUNCH
      StrLen $0 "$(^Name)"
      IntOp $0 $0 + 1
      LOOP:
      FindWindow $1 '#32770' '' 0 $1
      IntCmp $1 0 +4
      System::Call "user32::GetWindowText(i r1, t .r2, i r0) i."
      StrCmp $2 "$(^Name)" 0 LOOP
      System::Call "user32::SetForegroundWindow(i r1) i."
      Abort
      LAUNCH:

      File "/oname=$PLUGINSDIR\${NAME}.ini" "${NAME}.ini"
    FunctionEnd


    Function .onGUIEnd
      SetOutPath $TEMP
      System::Free 0

      IfRebootFlag 0 +3
      MessageBox MB_YESNO "Your computer needs to be restarted in order to process the changes.  $\n$\n Would you like to restart now?" IDNO +2
      Reboot
    FunctionEnd


    Function MainPage
      #CURSORS
        !insertmacro ItemsInstalled "$WINDIR\Cursors\OSX\OS X Working.ani" "2" "HKCU" "Control Panel\Cursors" "AppStarting" ""
      #SOUNDS
        !insertmacro ItemsInstalled "$RESOURCES\Sounds\Iceman\Funk.wav" "3" "HKCU" "AppEvents\Schemes\Apps\Explorer\Navigating\.Current" "" ""
      #SCREENSAVER
        !insertmacro ItemsInstalled "$SYSDIR\Flurry.scr" "4" "HKCU" "Control Panel\Desktop" "SCRNSAVE.EXE" ""
      #OBJECTDOCK
        !insertmacro ItemsInstalled "$PROGRAMFILES\ObjectDock\ObjectDock.exe" "6" "HKCU" "Software\Microsoft\Windows\CurrentVersion\Run" "ObjectDock" ""
      #RKLAUNCHER
        !insertmacro ItemsInstalled "$PROGRAMFILES\RK Launcher\RKLauncher.exe" "7" "HKCU" "Software\Microsoft\Windows\CurrentVersion\Run" "RK Launcher" ""
      #YZSHADOW
        !insertmacro ItemsInstalled "$PROGRAMFILES\YzShadow\YzShadow.exe" "8" "HKCU" "Software\Microsoft\Windows\CurrentVersion\Run" "Yz Shadow" ""
      #WINROLL
        !insertmacro ItemsInstalled "$PROGRAMFILES\WinRoll\winroll.exe" "9" "HKCU" "Software\Microsoft\Windows\CurrentVersion\Run" "WinRoll" ""
      #SEARCHSPY
        !insertmacro ItemsInstalled "$PROGRAMFILES\SearchSpy\SearchSpyMenu.exe" "19" "HKCU" "Software\Microsoft\Windows\CurrentVersion\Run" "SearchSpy" ""
      #ALTQHOTKEY
        !insertmacro ItemsInstalled "$WINDIR\Alt+Q Hotkey.exe" "20" "HKCU" "Software\Microsoft\Windows\CurrentVersion\Run" "Alt+Q Hotkey Tool" ""
      #SYSTEMFILESUPDATER
        !insertmacro ItemsInstalled "${INST_TOOLS}\System Files Updater.exe" "21" "HKLM" "Software\Microsoft\Windows\CurrentVersion\Run" "System Files Updater" " /S"
      #WALLPAPER
        !insertmacro ItemsInstalled "$WINDIR\Web\Wallpaper\Aqua Blue.bmp" "22" "HKCU" "Control Panel\Desktop" "Wallpaper" ""
      #UBERICON
        IfFileExists "$PROGRAMFILES\UberIcon\UberIcon Manager.exe" +3
        WriteIniStr "$PLUGINSDIR\${NAME}.ini" "Field 23" "Flags" "DISABLED"
        Goto +4
        ReadRegStr "$0" HKCU "Software\Microsoft\Windows\CurrentVersion\Run" "UberIcon"
        StrCmp "$0" '"$PROGRAMFILES\UberIcon\UberIcon Manager.exe"' 0 +2
        WriteIniStr "$PLUGINSDIR\${NAME}.ini" "Field 23" "State" "1"
      #TIGERVS
        IfFileExists "$RESOURCES\Themes\Tiger\Tiger.msstyles" +3
        WriteIniStr "$PLUGINSDIR\${NAME}.ini" "Field 18" "Flags" "DISABLED"
        Goto +4
        ReadRegStr "$0" "HKCU" "Software\Microsoft\Windows\CurrentVersion\ThemeManager" "DllName"
        StrCmp "$0" "%SystemRoot%\Resources\Themes\Tiger\Tiger.msstyles" 0 +2
        WriteIniStr "$PLUGINSDIR\${NAME}.ini" "Field 18" "State" "1"


      #DISPLAY CURRENT ICON SIZE
      ReadRegStr $0 HKCU "Control Panel\Desktop\WindowMetrics" "Shell Icon Size"
      WriteIniStr "$PLUGINSDIR\${NAME}.ini" "Field 17" "Text" "Keep Current ($0)"

      #HIDE "SYSTEM FILES UPDATER" IF LIMITED ACCOUNT
      InstallOptions::initDialog /NOUNLOAD "$PLUGINSDIR\${NAME}.ini"
        System::Call "kernel32::GetModuleHandle(t 'shell32.dll') i .s"
        System::Call "kernel32::GetProcAddress(i s, i 680) i .r0"
        System::Call "::$0() i .r0"
        StrCmp "$0" "1" +4
        FindWindow $R0 '#32770' '' $HWNDPARENT
        GetDlgItem $R1 $R0 1220
        ShowWindow $R1 ${SW_HIDE}
      InstallOptions::show "$PLUGINSDIR\${NAME}.ini"
    FunctionEnd