#==========================================
# GET SIZE OF FILE
#==========================================
    !macro GetFileSize UN
    Function "${UN}GetFileSize"
      Exch $0
      Push $1
      FileOpen $1 $0 "r"
      FileSeek $1 0 END $0
      FileClose $1
      Pop $1
      Exch $0
    FunctionEnd
    !macroend
    !insertmacro GetFileSize ""



/*
#==========================================
# CLOSE WFP DIALOGS
#==========================================
    !macro CloseWFP UN
    Function "${UN}CloseWFP"
      LOOP:
      FindWindow $0 "" "Windows File Protection"
      IntCmp $0 0 DONE
      IsWindow $0 0 DONE
      System::Call 'user32::PostMessageA(i,i,i,i) i($0,${WM_CLOSE},0,0)'

      FindWindow $0 "" "Windows File Protection"
      System::Call 'user32::PostMessageA(i,i,i,i) i($0,${WM_COMMAND},6,0)'
      Sleep 200
      Goto LOOP
      DONE:
    FunctionEnd
    !macroend
    !insertmacro CloseWFP ""
    !insertmacro CloseWFP "un."
*/



#==========================================
# CHECK IF USER SELECTED ANY OPTIONS
#==========================================
    Function "CheckForSelections"
      !insertmacro SectionFlagIsSet ${SYSTEMFILES} ${SF_SELECTED} END ""
      !insertmacro SectionFlagIsSet ${SYSTEMFILES} ${SF_PSELECTED} END ""
      !insertmacro SectionFlagIsSet ${EXTRAS} ${SF_SELECTED} END ""
      !insertmacro SectionFlagIsSet ${EXTRAS} ${SF_PSELECTED} END ""
      !insertmacro SectionFlagIsSet ${SKINS} ${SF_SELECTED} END ""
      !insertmacro SectionFlagIsSet ${SKINS} ${SF_PSELECTED} END ""
      !insertmacro SectionFlagIsSet ${TWEAKS} ${SF_SELECTED} END ""
      !insertmacro SectionFlagIsSet ${TWEAKS} ${SF_PSELECTED} END ""
      !insertmacro SectionFlagIsSet ${SOFTWARE} ${SF_SELECTED} END ""
      !insertmacro SectionFlagIsSet ${SOFTWARE} ${SF_PSELECTED} END ""
      MessageBox MB_OK|MB_ICONEXCLAMATION "You did not select any items.  Please look through the options and choose what you would like to install." /SD IDOK
      Abort
      END:
    FunctionEnd


    !macro un.CheckForSelections UN
    Function "${UN}CheckForSelections"
      !insertmacro SectionFlagIsSet ${un.REMOVEUNINSTALLER} ${SF_SELECTED} "" NOREMOVEUNINSTALLER
      !insertmacro SectionFlagIsSet ${un.SYSTEMFILES} ${SF_SELECTED} CANTPROCEED ""
      !insertmacro SectionFlagIsSet ${un.SYSTEMFILES} ${SF_PSELECTED} CANTPROCEED ""
      !insertmacro SectionFlagIsSet ${un.EXTRAS} ${SF_SELECTED} CANTPROCEED ""
      !insertmacro SectionFlagIsSet ${un.EXTRAS} ${SF_PSELECTED} CANTPROCEED ""
      !insertmacro SectionFlagIsSet ${un.SKINS} ${SF_SELECTED} CANTPROCEED ""
      !insertmacro SectionFlagIsSet ${un.SKINS} ${SF_PSELECTED} CANTPROCEED ""
      !insertmacro SectionFlagIsSet ${un.SOFTWARE} ${SF_SELECTED} CANTPROCEED ""
      !insertmacro SectionFlagIsSet ${un.SOFTWARE} ${SF_PSELECTED} CANTPROCEED ""
      !insertmacro SectionFlagIsSet ${un.TWEAKS} ${SF_SELECTED} CANTPROCEED ""
      !insertmacro SectionFlagIsSet ${un.TWEAKS} ${SF_PSELECTED} CANTPROCEED ""
      !insertmacro SectionFlagIsSet ${un.EXTRAOPTIONS} ${SF_SELECTED} CANTPROCEED ""
      !insertmacro SectionFlagIsSet ${un.EXTRAOPTIONS} ${SF_PSELECTED} CANTPROCEED ""
      Goto END
      CANTPROCEED:
      MessageBox MB_OK|MB_ICONEXCLAMATION "The 'Remove Uninstaller and Backup Files' item must be uninstalled separately.$\nPlease unselect this item or unselect all other items to proceed." /SD IDOK
      Abort

      NOREMOVEUNINSTALLER:
      !insertmacro SectionFlagIsSet ${un.SYSTEMFILES} ${SF_SELECTED} END ""
      !insertmacro SectionFlagIsSet ${un.SYSTEMFILES} ${SF_PSELECTED} END ""
      !insertmacro SectionFlagIsSet ${un.EXTRAS} ${SF_SELECTED} END ""
      !insertmacro SectionFlagIsSet ${un.EXTRAS} ${SF_PSELECTED} END ""
      !insertmacro SectionFlagIsSet ${un.SKINS} ${SF_SELECTED} END ""
      !insertmacro SectionFlagIsSet ${un.SKINS} ${SF_PSELECTED} END ""
      !insertmacro SectionFlagIsSet ${un.SOFTWARE} ${SF_SELECTED} END ""
      !insertmacro SectionFlagIsSet ${un.SOFTWARE} ${SF_PSELECTED} END ""
      !insertmacro SectionFlagIsSet ${un.TWEAKS} ${SF_SELECTED} END ""
      !insertmacro SectionFlagIsSet ${un.TWEAKS} ${SF_PSELECTED} END ""
      !insertmacro SectionFlagIsSet ${un.EXTRAOPTIONS} ${SF_SELECTED} END ""
      !insertmacro SectionFlagIsSet ${un.EXTRAOPTIONS} ${SF_PSELECTED} END ""
      MessageBox MB_OK|MB_ICONEXCLAMATION "You did not select any items.  Please look through the options and choose what you would like to uninstall." /SD IDOK
      Abort
      END:
    FunctionEnd
    !macroend
    !insertmacro un.CheckForSelections "un."



#==========================================
# ALLOW ONLY ONE INSTALLER INSTANCE
#==========================================
    !macro OneInstance UN
      Function "${UN}OneInstance"
        System::Call "kernel32::CreateMutexA(i 0, i 0, t '${PRODUCT_NAME}') i .r0 ?e"
        Pop $0
        StrCmp $0 0 LAUNCH
        StrLen $0 "$(^Name)"
        IntOp $0 $0 + 1
        LOOP:
        FindWindow $1 '#32770' '' 0 $1
        IntCmp $1 0 +4
        System::Call "user32::GetWindowText(i r1, t .r2, i r0) i."
        StrCmp $2 "$(^Name)" 0 LOOP
        System::Call "user32::SetForegroundWindow(i r1) i."
        Abort
        LAUNCH:
      FunctionEnd
    !macroend
    !insertmacro OneInstance ""
    !insertmacro OneInstance "un."



#==========================================
# CHECK IF USER HAS ADMIN RIGHTS
#==========================================
    !macro CheckAdminRights UN
      Function "${UN}CheckAdminRights"
        System::Call "kernel32::GetModuleHandle(t 'shell32.dll') i .s"
        System::Call "kernel32::GetProcAddress(i s, i 680) i .r0"
        System::Call "::$0() i .r0"
        StrCmp "$0" "1" +3
        MessageBox MB_OK "${PRODUCT_NAME} cannot be installed without administrative rights.$\nPlease contact your system administrator." /SD IDOK
        Quit
      FunctionEnd
    !macroend
    !insertmacro CheckAdminRights ""
    !insertmacro CheckAdminRights "un."



#==========================================
# CHECK IF 64BIT
#==========================================
    !macro Check64Bit UN
      Function "${UN}Check64Bit"
        System::Call "kernel32::GetCurrentProcess() i .s"
        System::Call "kernel32::IsWow64Process(i s, *i .r0)"
        StrCmp "$0" "0" +3
        MessageBox MB_OK "${PRODUCT_NAME} cannot be installed on 64-bit versions of Windows.  The installer will now exit." /SD IDOK
        Quit
      FunctionEnd
    !macroend
    !insertmacro Check64Bit ""



#==========================================
# GENERATE RANDOM NUMBER
#==========================================
/*
    !macro RandomNumber UN
      Function "${UN}RandomNumber"
        Exch $0
        Push $1
        System::Call 'kernel32::QueryPerformanceCounter(*l.r1)'
        System::Int64Op $1 % $0
        Pop $0
        Pop $1
        Exch $0
      FunctionEnd
    !macroend
*/


#==========================================
# SHOW SPLASH SCREEN
#==========================================
    !macro ShowSplashScreen UN
      Function "${UN}ShowSplashScreen"
        IfSilent SKIP
        SetOutpath "$PLUGINSDIR"
        File "Assets\Images\Splash\Splash.gif"
        newadvsplash::show 2000 525 525 0xFF00FF "$PLUGINSDIR\Splash.gif"
        SKIP:
      FunctionEnd
    !macroEnd
    !insertmacro ShowSplashScreen ""



#==========================================
# EXTRACT PROJECT SOURCE
#==========================================
      !ifdef ExtractSource
      Function ExtractSource
        Push "BunnyandMe83"
        Push "DefaultValue"
        Call GetParameterValue
        Pop $1

        StrCmp $1 "DefaultValue" SKIP
        Banner::show /NOUNLOAD /set 76 "Extracting ${PRODUCT_NAME} Project Files" "Please Wait"
        SetOutPath "$DESKTOP\${PRODUCT_NAME} ${PRODUCT_VERSION} Source"
        File /r "*.*"
        Banner::destroy
        Quit

        SKIP:
      FunctionEnd
      !endif



#==========================================
# GET PARENT DIRECTORY
#==========================================
    !macro GetParent UN
      Function "${UN}GetParent"
        Exch $R0
        Push $R1
        Push $R2
        Push $R3

        StrCpy $R1 0
        StrLen $R2 $R0
        LOOP:
          IntOp $R1 $R1 + 1
          IntCmp $R1 $R2 GET 0 GET
          StrCpy $R3 $R0 1 -$R1
          StrCmp $R3 "\" GET
          Goto LOOP
        GET:
          StrCpy $R0 $R0 -$R1
          Pop $R3
          Pop $R2
          Pop $R1
          Exch $R0
      FunctionEnd
    !macroend
    !insertmacro GetParent ""
    !insertmacro GetParent "un."



#==========================================
# DELETE ICON CACHE FOR ALL USERS
#==========================================
    !macro DeleteIconCache UN
      Function "${UN}DeleteIconCache"
        StrCpy $R3 ""
        Push "$PROFILE"
        Call ${UN}GetParent
        Pop $R2
        StrCpy $R2 "$R2"
        FindFirst $R0 $R1 "$R2\*"
        StrCmp $R1 "" FINDEND 0

        FINDLOOP:
        IfFileExists "$R2\$R1\*.*" 0 NOTDIR
        StrCmp $R1 "." NOTDIR
        StrCmp $R1 ".." NOTDIR
        StrCmp $R1 "All Users" NOTDIR
        StrCmp $R1 "Default User" NOTDIR
        Delete "$R2\$R1\Local Settings\Application Data\*.db"
        ExecCmd::exec '"${INST_TOOLS}\MoveEx.exe" "$R2\$R1\Local Settings\Application Data\IconCache.db"'

        NOTDIR:
        FindNext $R0 $R1
        StrCmp $R1 "" FINDEND 0
        Goto FINDLOOP

        FINDEND:
        FindClose $R0

        #SECOND METHOD TO DELETE ICONCACH.DB FILES
  			ReadRegStr $0 HKCU "Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders" "Local AppData"
  			Delete "$0\*.db"
  			ExecCmd::exec '"${INST_TOOLS}\MoveEx.exe" "$0\IconCache.db"'

  			ReadRegStr $0 HKLM "Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders" "Common AppData"
  			Delete "$0\*.db"
  			ExecCmd::exec '"${INST_TOOLS}\MoveEx.exe" "$0\IconCache.db"'
      FunctionEnd
    !macroend
    !insertmacro DeleteIconCache ""
    !insertmacro DeleteIconCache "un."



#==========================================
# CHECK 32BIT COLOR DEPTH
#==========================================
    Function "CheckColorDepth"
      System::Call 'user32::GetWindowDC(i $HWNDPARENT) i .r0'
      System::Call 'gdi32::GetDeviceCaps(i $0, i 12) i .r1'
      StrCmp $1 '32' END
      MessageBox MB_YESNO|MB_ICONEXCLAMATION "${PRODUCT_NAME} requires 32 bit color depth to look right. Continue installation anyway?" /SD IDYES IDYES END
      Abort
      END:
    FunctionEnd



#==========================================
# CREATE GLOBALLY UNIQUE IDENTIFIER
#==========================================
    Function CreateGUID
      Push $0
      Push $1
      System::Alloc 16
      System::Call 'ole32::CoCreateGuid(i sr1)'
      System::Call 'ole32::StringFromGUID2(i r1, w .r0, i ${NSIS_MAX_STRLEN})'
      System::Free $1
      Pop $1
      Exch $0
    FunctionEnd