!macro SystemFiles ONOFF UN MacroName
  SectionGroup "${UN}System Files" ${UN}SYSTEMFILES



#==========================================
# SECTION - UNIVERSAL UXTHEME PATCHER
#==========================================
    !ifdef UXThemePatcher
    Section ${ONOFF} "Universal UXTheme Patcher ${UXTHEME_VERSION}" ${UN}SYSTEMFILES_UXTHEME
      !insertmacro SetDetailsPrint "Patching: uxtheme.dll"
      SetRebootFlag true
      SetOutPath "${INST_TOOLS}"
      File "Assets\Tools\Universal UXTheme Patcher ${UXTHEME_VERSION}.exe"
      ExecCmd::exec '"${INST_TOOLS}\Universal UXTheme Patcher ${UXTHEME_VERSION}.exe" /S'
    SectionEnd
    !endif



#==========================================
# SECTION - SHELL32
#==========================================
    Section ${ONOFF} "${UN}Shell32" ${UN}SHELL32.DLL
      !insertmacro ${MacroName} "System Files\Shell32" "shell32.dll" "$SYSDIR"
    SectionEnd



#==========================================
# SECTION - CPL FILES
#==========================================
    SectionGroup "${UN}CPL System Files" ${UN}SYSTEMFILES_CPL
      Section ${ONOFF} "${UN}access.cpl" ${UN}ACCESS.CPL
        !insertmacro ${MacroName} "System Files\CPL" "access.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}adobe gamma.cpl" "${UN}ADOBE GAMMA.CPL"
        !insertmacro ${MacroName} "System Files\CPL" "adobe gamma.cpl" "$COMMONFILES\Adobe\Calibration"
      SectionEnd

      Section ${ONOFF} "${UN}appwiz.cpl" ${UN}APPWIZ.CPL
        !insertmacro ${MacroName} "System Files\CPL" "appwiz.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}audiohqu.cpl" ${UN}AUDIOHQU.CPL
        !insertmacro ${MacroName} "System Files\CPL" "audiohqu.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}avsmcpa.cpl" ${UN}AVSMCPA.CPL
        !insertmacro ${MacroName} "System Files\CPL" "avsmcpa.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}bdeadmin.cpl" ${UN}BDEADMIN.CPL
        !insertmacro ${MacroName} "System Files\CPL" "bdeadmin.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}colormgmt.cpl" ${UN}COLORMGMT.CPL
        !insertmacro ${MacroName} "System Files\CPL" "colormgmt.cpl" "$PROGRAMFILES\Pro Imaging Powertoys\Microsoft Color Control Panel Applet for Windows XP"
      SectionEnd

      Section ${ONOFF} "${UN}cttune.cpl" ${UN}CTTUNE.CPL
        !insertmacro ${MacroName} "System Files\CPL" "cttune.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}desk.cpl" ${UN}DESK.CPL
        !insertmacro ${MacroName} "System Files\CPL" "desk.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}directx.cpl" ${UN}DIRECTX.CPL
        !insertmacro ${MacroName} "System Files\CPL" "directx.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}hdwwiz.cpl" ${UN}HDWWIZ.CPL
          !insertmacro ${MacroName} "System Files\CPL" "hdwwiz.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}imagedrive.cpl" ${UN}IMAGEDRIVE.CPL
        !insertmacro ${MacroName} "System Files\CPL" "imagedrive.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}inetcpl.cpl" ${UN}INETCPL.CPL
        !insertmacro ${MacroName} "System Files\CPL" "inetcpl.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}intl.cpl" ${UN}INTL.CPL
        !insertmacro ${MacroName} "System Files\CPL" "intl.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}ipcpl.cpl" ${UN}IPCPL.CPL
        ReadRegStr $AppDir HKLM "SOFTWARE\Stardock\ObjectDesktop\IconPackager" "Path"
        !insertmacro ${MacroName} "System Files\CPL" "ipcpl.cpl" "$PROGRAMFILES\Stardock\Object Desktop\IconPackager"
      SectionEnd

      Section ${ONOFF} "${UN}irprops.cpl" ${UN}IRPROPS.CPL
        !insertmacro ${MacroName} "System Files\CPL" "irprops.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}joy.cpl" ${UN}JOY.CPL
        !insertmacro ${MacroName} "System Files\CPL" "joy.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}jpicpl32.cpl" ${UN}JPICPL32.CPL
        !insertmacro ${MacroName} "System Files\CPL" "jpicpl32.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}lclock.cpl" ${UN}LCLOCK.CPL
        !insertmacro ${MacroName} "System Files\CPL" "lclock.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}main.cpl" ${UN}MAIN.CPL
        !insertmacro ${MacroName} "System Files\CPL" "main.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}mlcfg32.cpl" ${UN}MLCFG32.CPL
        System::Call 'kernel32::GetUserDefaultUILanguage() i.r10'
        !insertmacro ${MacroName} "System Files\CPL" "mlcfg32.cpl" "$COMMONFILES\System\MSMAPI\$R0"
      SectionEnd

      Section ${ONOFF} "${UN}mmsys.cpl" ${UN}MMSYS.CPL
        !insertmacro ${MacroName} "System Files\CPL" "mmsys.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}ncpa.cpl" ${UN}NCPA.CPL
        !insertmacro ${MacroName} "System Files\CPL" "ncpa.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}neroburnrights.cpl" ${UN}NEROBURNRIGHTS.CPL
        !insertmacro ${MacroName} "System Files\CPL" "neroburnrights.cpl" "$PROGRAMFILES\Nero\Nero 7\Nero Toolkit"
      SectionEnd

      Section ${ONOFF} "${UN}nusrmgr.cpl" ${UN}NUSRMGR.CPL
        !insertmacro ${MacroName} "System Files\CPL" "nusrmgr.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}nvtuicpl.cpl" ${UN}NVTUICPL.CPL
        !insertmacro ${MacroName} "System Files\CPL" "nvtuicpl.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}odbccp32.cpl" ${UN}ODBCCP32.CPL
        !insertmacro ${MacroName} "System Files\CPL" "odbccp32.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}powercfg.cpl" ${UN}POWERCFG.CPL
        !insertmacro ${MacroName} "System Files\CPL" "powercfg.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}quicktime.cpl" ${UN}QUICKTIME.CPL
        !insertmacro ${MacroName} "System Files\CPL" "QuickTime.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}s32lucp1.cpl" ${UN}S32LUCP1.CPL
        !insertmacro ${MacroName} "System Files\CPL" "S32LUCP1.cpl" "$PROGRAMFILES\Symantec\LiveUpdate"
      SectionEnd

      Section ${ONOFF} "${UN}sapi.cpl" ${UN}SAPI.CPL
        !insertmacro ${MacroName} "System Files\CPL" "sapi.cpl" "$COMMONFILES\Microsoft Shared\Speech"
      SectionEnd

      Section ${ONOFF} "${UN}stac97.cpl" ${UN}STAC97.CPL
        !insertmacro ${MacroName} "System Files\CPL" "stac97.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}startup.cpl" ${UN}STARTUP.CPL
        !insertmacro ${MacroName} "System Files\CPL" "Startup.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}sysdm.cpl" ${UN}SYSDM.CPL
        !insertmacro ${MacroName} "System Files\CPL" "sysdm.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}telephon.cpl" ${UN}TELEPHON.CPL
        !insertmacro ${MacroName} "System Files\CPL" "telephon.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}timedate.cpl" ${UN}TIMEDATE.CPL
        !insertmacro ${MacroName} "System Files\CPL" "timedate.cpl" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}wscui.cpl" ${UN}WSCUI.CPL
        System::Call 'kernel32::GetUserDefaultUILanguage() i.r10'
        StrCmp $R0 "2052" 0 NOCHINESE
        !insertmacro ${MacroName} "System Files\Chinese Simplified" "wscui.cpl" "$SYSDIR"
        Goto END
        NOCHINESE:
        !insertmacro ${MacroName} "System Files\CPL" "wscui.cpl" "$SYSDIR"
        END:
      SectionEnd

      Section ${ONOFF} "${UN}wtcontrolpanel.cpl" ${UN}WTCONTROLPANEL.CPL
        !insertmacro ${MacroName} "System Files\CPL" "wtcontrolpanel.cpl" "$PROGRAMFILES\WildTangent\Apps\CDA"
      SectionEnd

      Section ${ONOFF} "${UN}wuaucpl.cpl" ${UN}WUAUCPL.CPL
        !insertmacro ${MacroName} "System Files\CPL" "wuaucpl.cpl" "$SYSDIR"
      SectionEnd
    SectionGroupEnd




#==========================================
# SECTION - DLL FILES
#==========================================
    SectionGroup "${UN}DLL System Files" ${UN}SYSTEMFILES_DLL
      Section ${ONOFF} "${UN}acctres.dll" ${UN}ACCTRES.DLL
        !insertmacro ${MacroName} "System Files\DLL" "acctres.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}audiodev.dll" ${UN}AUDIODEV.DLL
        !insertmacro ${MacroName} "System Files\DLL" "Audiodev.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}avsmcpa.dll" ${UN}AVSMCPA.DLL
        !insertmacro ${MacroName} "System Files\DLL" "avsmcpa.dll" "$SYSDIR\Res00"
      SectionEnd

      Section ${ONOFF} "${UN}batmeter.dll" ${UN}BATMETER.DLL
        !insertmacro ${MacroName} "System Files\DLL" "batmeter.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}batt.dll" ${UN}BATT.DLL
        !insertmacro ${MacroName} "System Files\DLL" "batt.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}browseui.dll" ${UN}BROWSEUI.DLL
        !insertmacro ${MacroName} "System Files\DLL" "browseui.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}btrez.dll" ${UN}BTREZ.DLL
        !insertmacro ${MacroName} "System Files\DLL" "btrez.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}cards.dll" ${UN}CARDS.DLL
        !insertmacro ${MacroName} "System Files\DLL" "cards.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}certmgr.dll" ${UN}CERTMGR.DLL
        !insertmacro ${MacroName} "System Files\DLL" "certmgr.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}ciadmin.dll" ${UN}CIADMIN.DLL
        !insertmacro ${MacroName} "System Files\DLL" "ciadmin.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}cmdial32.dll" ${UN}CMDIAL32.DLL
        !insertmacro ${MacroName} "System Files\DLL" "cmdial32.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}comctl32.dll (system32)" ${UN}COMCTL32.DLL
        !insertmacro ${MacroName} "System Files\DLL" "comctl32.dll" "$SYSDIR"
      SectionEnd

      !ifndef BatchRestoreScript
      Section ${ONOFF} "${UN}comctl32.dll (WinSxS)" ${UN}WINSXS_COMCTL32.DLL
        !insertmacro ${UN}ComCtl32 "System Files\Comctl32" "comctl32.dll" "$WINDIR\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.0.0_x-ww_1382d70a" "1"
        !insertmacro ${UN}ComCtl32 "System Files\Comctl32" "comctl32.dll" "$WINDIR\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.10.0_x-ww_f7fb5805" "2"
        !insertmacro ${UN}ComCtl32 "System Files\Comctl32" "comctl32.dll" "$WINDIR\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.1331_x-ww_7abf6d02" "3"
        !insertmacro ${UN}ComCtl32 "System Files\Comctl32" "comctl32.dll" "$WINDIR\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.1515_x-ww_7bb98b8a" "4"
        !insertmacro ${UN}ComCtl32 "System Files\Comctl32" "comctl32.dll" "$WINDIR\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.1579_x-ww_7bbf8d08" "5"
        !insertmacro ${UN}ComCtl32 "System Files\Comctl32" "comctl32.dll" "$WINDIR\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.1643_x-ww_7c3a9bc6" "6"
        !insertmacro ${UN}ComCtl32 "System Files\Comctl32" "comctl32.dll" "$WINDIR\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.1659_x-ww_7c3b9c0b" "7"
        !insertmacro ${UN}ComCtl32 "System Files\Comctl32" "comctl32.dll" "$WINDIR\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.2180_x-ww_a84f1ff9" "8"
        !insertmacro ${UN}ComCtl32 "System Files\Comctl32" "comctl32.dll" "$WINDIR\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.2649_x-ww_aac16c8b" "9"
        !insertmacro ${UN}ComCtl32 "System Files\Comctl32" "comctl32.dll" "$WINDIR\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_5.82.3790.1830_x-ww_1B6F474A" "10"
        !insertmacro ${UN}ComCtl32 "System Files\Comctl32" "comctl32.dll" "$WINDIR\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.3790.1830_x-ww_7AE38CCF" "11"
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "xlicons.exe"
        !endif
      SectionEnd
      !endif

      Section ${ONOFF} "${UN}comres.dll" ${UN}COMRES.DLL
        !insertmacro ${MacroName} "System Files\DLL" "comres.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}console.dll" ${UN}CONSOLE.DLL
        !insertmacro ${MacroName} "System Files\DLL" "console.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}credui.dll" ${UN}CREDUI.DLL
        !insertmacro ${MacroName} "System Files\DLL" "credui.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}cscui.dll" ${UN}CSCUI.DLL
        !insertmacro ${MacroName} "System Files\DLL" "cscui.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}deskadp.dll" ${UN}DESKADP.DLL
        !insertmacro ${MacroName} "System Files\DLL" "deskadp.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}deskmon.dll" ${UN}DESKMON.DLL
        !insertmacro ${MacroName} "System Files\DLL" "deskmon.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}devmgr.dll" ${UN}DEVMGR.DLL
        !insertmacro ${MacroName} "System Files\DLL" "devmgr.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}dfrgres.dll" ${UN}DFRGRES.DLL
        !insertmacro ${MacroName} "System Files\DLL" "dfrgres.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}dmdlgs.dll" ${UN}DMDLGS.DLL
        !insertmacro ${MacroName} "System Files\DLL" "dmdlgs.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}dpvoice.dll" ${UN}DPVOICE.DLL
        !insertmacro ${MacroName} "System Files\DLL" "dpvoice.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}dsquery.dll" ${UN}DSQUERY.DLL
        !insertmacro ${MacroName} "System Files\DLL" "dsquery.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}els.dll" ${UN}ELS.DLL
        !insertmacro ${MacroName} "System Files\DLL" "els.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}filemgmt.dll" ${UN}FILEMGMT.DLL
        !insertmacro ${MacroName} "System Files\DLL" "filemgmt.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}fldrclnr.dll" ${UN}FLDRCLNR.DLL
        !insertmacro ${MacroName} "System Files\DLL" "fldrclnr.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}fontext.dll" ${UN}FONTEXT.DLL
        !insertmacro ${MacroName} "System Files\DLL" "fontext.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}gcdef.dll" ${UN}GCDEF.DLL
        !insertmacro ${MacroName} "System Files\DLL" "gcdef.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}gpedit.dll" ${UN}GPEDIT.DLL
        !insertmacro ${MacroName} "System Files\DLL" "gpedit.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}googledesktopresources_en.dll" ${UN}GOOGLEDESKTOPRESOURCES_EN.DLL
        ReadRegStr $AppDir HKLM "SOFTWARE\Google\Google Desktop" "install_dir"
        !insertmacro ${MacroName} "System Files\DLL" "googledesktopresources_en.dll" "$AppDir"
      SectionEnd

      Section ${ONOFF} "${UN}hnetwiz.dll" ${UN}HNETWIZ.DLL
      !insertmacro ${MacroName} "System Files\DLL" "hnetwiz.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}hotplug.dll" ${UN}HOTPLUG.DLL
        !insertmacro ${MacroName} "System Files\DLL" "hotplug.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}hticons.dll" ${UN}HTICONS.DLL
        !insertmacro ${MacroName} "System Files\DLL" "hticons.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}icmui.dll" ${UN}ICMUI.DLL
        !insertmacro ${MacroName} "System Files\DLL" "icmui.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}icwdial.dll" ${UN}ICWDIAL.DLL
        !insertmacro ${MacroName} "System Files\DLL" "icwdial.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}ieaksie.dll" ${UN}IEAKSIE.DLL
        !insertmacro ${MacroName} "System Files\DLL" "ieaksie.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}inetcplc.dll" ${UN}INETCPLC.DLL
        !insertmacro ${MacroName} "System Files\DLL" "inetcplc.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}keymgr.dll" ${UN}KEYMGR.DLL
        !insertmacro ${MacroName} "System Files\DLL" "keymgr.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}mdminst.dll" ${UN}MDMINST.DLL
        !insertmacro ${MacroName} "System Files\DLL" "mdminst.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}mobsync.dll" ${UN}MOBSYNC.DLL
        !insertmacro ${MacroName} "System Files\DLL" "mobsync.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}modemui.dll" ${UN}MODEMUI.DLL
        !insertmacro ${MacroName} "System Files\DLL" "modemui.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}moricons.dll" ${UN}MORICONS.DLL
        !insertmacro ${MacroName} "System Files\DLL" "moricons.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}mqutil.dll" ${UN}MQUTIL.DLL
        !insertmacro ${MacroName} "System Files\DLL" "mqutil.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}mscorier.dll" ${UN}MSCORIER.DLL
        !insertmacro ${MacroName} "System Files\DLL" "mscorier.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}msgina.dll" ${UN}MSGINA.DLL
        !insertmacro ${MacroName} "System Files\DLL" "msgina.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}mshtml.dll" ${UN}MSHTML.DLL
        !insertmacro ${MacroName} "System Files\DLL" "mshtml.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}msident.dll" ${UN}MSIDENT.DLL
        !insertmacro ${MacroName} "System Files\DLL" "msident.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}msieftp.dll" ${UN}MSIEFTP.DLL
        !insertmacro ${MacroName} "System Files\DLL" "msieftp.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}msmpres.dll" ${UN}MSMPRES.DLL
        ReadRegStr $AppDir HKLM "SOFTWARE\Microsoft\Windows Defender" "InstallLocation"
        !insertmacro ${MacroName} "System Files\DLL" "msmpres.dll" "$AppDir"
      SectionEnd

      Section ${ONOFF} "${UN}mstask.dll" ${UN}MSTASK.DLL
        !insertmacro ${MacroName} "System Files\DLL" "mstask.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}mstscax.dll" ${UN}MSTSCAX.DLL
        !insertmacro ${MacroName} "System Files\DLL" "mstscax.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}mswmccpl.dll" ${UN}MSWMCCPL.DLL
        !insertmacro ${MacroName} "System Files\DLL" "mswmccpl.dll" "$PROGRAMFILES\Windows Media Connect"
      SectionEnd

      Section ${ONOFF} "${UN}muweb.dll" ${UN}MUWEB.DLL
        !insertmacro ${MacroName} "System Files\DLL" "muweb.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}mycomput.dll" ${UN}MYCOMPUT.DLL
        !insertmacro ${MacroName} "System Files\DLL" "mycomput.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}mydocs.dll" ${UN}MYDOCS.DLL
        !insertmacro ${MacroName} "System Files\DLL" "mydocs.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}netid.dll" ${UN}NETID.DLL
        !insertmacro ${MacroName} "System Files\DLL" "netid.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}netplwiz.dll" ${UN}NETPLWIZ.DLL
        !insertmacro ${MacroName} "System Files\DLL" "netplwiz.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}netshell.dll" ${UN}NETSHELL.DLL
        !insertmacro ${MacroName} "System Files\DLL" "netshell.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}newdev.dll" ${UN}NEWDEV.DLL
        !insertmacro ${MacroName} "System Files\DLL" "newdev.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}ntmsmgr.dll" ${UN}NTMSMGR.DLL
        !insertmacro ${MacroName} "System Files\DLL" "ntmsmgr.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}ntshrui.dll" ${UN}NTSHRUI.DLL
        !insertmacro ${MacroName} "System Files\DLL" "ntshrui.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}nvmctray.dll" ${UN}NVMCTRAY.DLL
        !insertmacro ${MacroName} "System Files\DLL" "nvmctray.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}odbcint.dll" ${UN}ODBCINT.DLL
        !insertmacro ${MacroName} "System Files\DLL" "odbcint.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}occache.dll" ${UN}OCCACHE.DLL
        !insertmacro ${MacroName} "System Files\DLL" "occache.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}ole32.dll" ${UN}OLE32.DLL
        !insertmacro ${MacroName} "System Files\DLL" "ole32.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}photowiz.dll" ${UN}PHOTOWIZ.DLL
        !insertmacro ${MacroName} "System Files\DLL" "photowiz.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}printui.dll" ${UN}PRINTUI.DLL
        !insertmacro ${MacroName} "System Files\DLL" "printui.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}rasdlg.dll" ${UN}RASDLG.DLL
        !insertmacro ${MacroName} "System Files\DLL" "rasdlg.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}regwizc.dll" ${UN}REGWIZC.DLL
        !insertmacro ${MacroName} "System Files\DLL" "regwizc.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}remotepg.dll" ${UN}REMOTEPG.DLL
        !insertmacro ${MacroName} "System Files\DLL" "remotepg.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}sdhcinst.dll" ${UN}SDHCINST.DLL
        !insertmacro ${MacroName} "System Files\DLL" "sdhcinst.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}sendmail.dll" ${UN}SENDMAIL.DLL
        !insertmacro ${MacroName} "System Files\DLL" "sendmail.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}setupapi.dll" ${UN}SETUPAPI.DLL
        !insertmacro ${MacroName} "System Files\DLL" "setupapi.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}shdoclc.dll" ${UN}SHDOCLC.DLL
        !insertmacro ${MacroName} "System Files\DLL" "shdoclc.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}shdocvw.dll" ${UN}SHDOCVW.DLL
        !insertmacro ${MacroName} "System Files\DLL" "shdocvw.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}shimgvw.dll" ${UN}SHIMGVW.DLL
        !insertmacro ${MacroName} "System Files\DLL" "shimgvw.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}srchui.dll" ${UN}SRCHUI.DLL
        !insertmacro ${MacroName} "System Files\DLL" "srchui.dll" "$WINDIR\srchasst"
      SectionEnd

      Section ${ONOFF} "${UN}srrstr.dll" ${UN}SRRSTR.DLL
        !insertmacro ${MacroName} "System Files\DLL" "srrstr.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}sti_ci.dll" ${UN}STI_CI.DLL
        !insertmacro ${MacroName} "System Files\DLL" "sti_ci.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}stobject.dll" ${UN}STOBJECT.DLL
        !insertmacro ${MacroName} "System Files\DLL" "stobject.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}storprop.dll" ${UN}STORPROP.DLL
        !insertmacro ${MacroName} "System Files\DLL" "storprop.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}syncui.dll" ${UN}SYNCUI.DLL
        !insertmacro ${MacroName} "System Files\DLL" "syncui.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}syssetup.dll" ${UN}SYSSETUP.DLL
        !insertmacro ${MacroName} "System Files\DLL" "syssetup.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}tapiui.dll" ${UN}TAPIUI.DLL
        !insertmacro ${MacroName} "System Files\DLL" "tapiui.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}themeui.dll" ${UN}THEMEUI.DLL
        !insertmacro ${MacroName} "System Files\DLL" "themeui.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}upnpui.dll" ${UN}UPNPUI.DLL
        !insertmacro ${MacroName} "System Files\DLL" "upnpui.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}url.dll" ${UN}URL.DLL
        !insertmacro ${MacroName} "System Files\DLL" "url.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}urlmon.dll" ${UN}URLMON.DLL
        !insertmacro ${MacroName} "System Files\DLL" "urlmon.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}user32.dll" ${UN}USER32.DLL
        !insertmacro ${MacroName} "System Files\DLL" "user32.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}w20mlres.dll" ${UN}W20MLRES.DLL
        !insertmacro ${MacroName} "System Files\DLL" "w20mlres.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}w20ncpa.dll" ${UN}W20NCPA.DLL
        !insertmacro ${MacroName} "System Files\DLL" "w20ncpa.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}w70mlres.dll" ${UN}W70MLRES.DLL
        !insertmacro ${MacroName} "System Files\DLL" "w70mlres.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}webcheck.dll" ${UN}WEBCHECK.DLL
        !insertmacro ${MacroName} "System Files\DLL" "webcheck.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}wiadefui.dll" ${UN}WIADEFUI.DLL
        !insertmacro ${MacroName} "System Files\DLL" "wiadefui.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}wiashext.dll" ${UN}WIASHEXT.DLL
        !insertmacro ${MacroName} "System Files\DLL" "wiashext.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}winbrand.dll" ${UN}WINBRAND.DLL
        !insertmacro ${MacroName} "System Files\DLL" "winbrand.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}wininet.dll" ${UN}WININET.DLL
        !insertmacro ${MacroName} "System Files\DLL" "wininet.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}winsrv.dll" ${UN}WINSRV.DLL
        !insertmacro ${MacroName} "System Files\DLL" "winsrv.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}winssro.dll" ${UN}WINSSRO.DLL
        !insertmacro ${MacroName} "System Files\DLL" "winssro.dll" "$PROGRAMFILES\Microsoft Windows OneCare Live"
      SectionEnd

      Section ${ONOFF} "${UN}wmccpl.dll" ${UN}WMCCPL.DLL
        !insertmacro ${MacroName} "System Files\DLL" "wmccpl.dll" "$PROGRAMFILES\Windows Media Connect 2"
      SectionEnd

      Section ${ONOFF} "${UN}wpwin11.dll" ${UN}WPWIN11.DLL
          ReadRegStr $0 HKLM "Software\Microsoft\Windows\CurrentVersion\App Paths\wpwin11.exe" ""
          StrCpy $0 $0 -12
        !insertmacro ${MacroName} "System Files\DLL" "wpwin11.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}wpwpen.dll" ${UN}WPWPEN.DLL
          ReadRegStr $0 HKLM "Software\Microsoft\Windows\CurrentVersion\App Paths\wpwin11.exe" ""
          StrCpy $0 $0 -12
        !insertmacro ${MacroName} "System Files\DLL" "wpwpen.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}wsecedit.dll" ${UN}WSECEDIT.DLL
        !insertmacro ${MacroName} "System Files\DLL" "wsecedit.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}xpsp2res.dll" ${UN}XPSP2RES.DLL
        !insertmacro ${MacroName} "System Files\DLL" "xpsp2res.dll" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}zipfldr.dll" ${UN}ZIPFLDR.DLL
        !insertmacro ${MacroName} "System Files\DLL" "zipfldr.dll" "$SYSDIR"
      SectionEnd
    SectionGroupEnd




#==========================================
# SECTION - EXE FILES
#==========================================
    SectionGroup "${UN}EXE System Files" ${UN}SYSTEMFILES_EXE
      Section ${ONOFF} "${UN}accwiz.exe" ${UN}ACCWIZ.EXE
        !insertmacro ${MacroName} "System Files\EXE" "accwiz.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}ahui.exe" ${UN}AHUI.EXE
        !insertmacro ${MacroName} "System Files\EXE" "ahui.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}calc.exe" ${UN}CALC.EXE
        !insertmacro ${MacroName} "System Files\EXE" "calc.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}charmap.exe" ${UN}CHARMAP.EXE
        !insertmacro ${MacroName} "System Files\EXE" "charmap.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}cleanmgr.exe" ${UN}CLEANMGR.EXE
        !insertmacro ${MacroName} "System Files\EXE" "cleanmgr.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}cmd.exe" ${UN}CMD.EXE
        !insertmacro ${MacroName} "System Files\EXE" "cmd.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}cmmon32.exe" ${UN}CMMON32.EXE
        !insertmacro ${MacroName} "System Files\EXE" "cmmon32.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}configwizards.exe" ${UN}CONFIGWIZARDS.EXE
        !insertmacro ${MacroName} "System Files\EXE" "configwizards.exe" "$WINDIR\Microsoft.NET\Framework\v1.1.4322"
      SectionEnd

      Section ${ONOFF} "${UN}dpvsetup.exe" ${UN}DPVSETUP.EXE
        !insertmacro ${MacroName} "System Files\EXE" "dpvsetup.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}drwtsn32.exe" ${UN}DRWTSN32.EXE
        !insertmacro ${MacroName} "System Files\EXE" "drwtsn32.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}dvdplay.exe" ${UN}DVDPLAY.EXE
        !insertmacro ${MacroName} "System Files\EXE" "dvdplay.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}dxdiag.exe" ${UN}DXDIAG.EXE
        !insertmacro ${MacroName} "System Files\EXE" "dxdiag.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}eventvwr.exe" ${UN}EVENTVWR.EXE
        !insertmacro ${MacroName} "System Files\EXE" "eventvwr.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}explorer.exe" ${UN}EXPLORER.EXE
        !insertmacro ${MacroName} "System Files\EXE" "explorer.exe" "$WINDIR"
      SectionEnd

      Section ${ONOFF} "${UN}fxsclnt.exe" ${UN}FXSCLNT.EXE
        !insertmacro ${MacroName} "System Files\EXE" "fxsclnt.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}fxscover.exe" ${UN}FXSCOVER.EXE
        !insertmacro ${MacroName} "System Files\EXE" "fxscover.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}fxssend.exe" ${UN}FXSSEND.EXE
        !insertmacro ${MacroName} "System Files\EXE" "fxssend.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}fsquirt.exe" ${UN}FSQUIRT.EXE
        !insertmacro ${MacroName} "System Files\EXE" "fsquirt.exe" "$WINDIR"
      SectionEnd

      Section ${ONOFF} "${UN}helpctr.exe" ${UN}HELPCTR.EXE
        !insertmacro ${MacroName} "System Files\EXE" "helpctr.exe" "$WINDIR\PCHealth\HelpCtr\Binaries"
      SectionEnd

      Section ${ONOFF} "${UN}hh.exe" ${UN}HH.EXE
        !insertmacro ${MacroName} "System Files\EXE" "hh.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}hph_asui.exe" ${UN}HPH_ASUI.EXE
        !insertmacro ${MacroName} "System Files\EXE" "hph_asui.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}hphmon03.exe" ${UN}HPHMON03.EXE
        !insertmacro ${MacroName} "System Files\EXE" "hphmon03.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}hypertrm.exe" ${UN}HYPERTRM.EXE
        !insertmacro ${MacroName} "System Files\EXE" "hypertrm.exe" "$PROGRAMFILES\Windows NT"
      SectionEnd

      Section ${ONOFF} "${UN}iexplore.exe" ${UN}IEXPLORE.EXE
        !insertmacro ${MacroName} "System Files\EXE" "iexplore.exe" "$PROGRAMFILES\Internet Explorer"
      SectionEnd

      Section ${ONOFF} "${UN}javaws.exe" ${UN}JAVAWS.EXE
        !insertmacro ${MacroName} "System Files\EXE" "javaws.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}konfabulator.exe" ${UN}KONFABULATOR.EXE
        !insertmacro ${MacroName} "System Files\EXE" "konfabulator.exe" "$PROGRAMFILES\Pixoria\Konfabulator"
      SectionEnd

      Section ${ONOFF} "${UN}magnify.exe" ${UN}MAGNIFY.EXE
        !insertmacro ${MacroName} "System Files\EXE" "magnify.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}migpwd.exe" ${UN}MIGPWD.EXE
        !insertmacro ${MacroName} "System Files\EXE" "migpwd.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}migwiz.exe" ${UN}MIGWIZ.EXE
        !insertmacro ${MacroName} "System Files\EXE" "migwiz.exe" "$SYSDIR\usmt"
      SectionEnd

      Section ${ONOFF} "${UN}mmc.exe" ${UN}MMC.EXE
        !insertmacro ${MacroName} "System Files\EXE" "mmc.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}mobsync.exe" ${UN}MOBSYNC.EXE
        !insertmacro ${MacroName} "System Files\EXE" "mobsync.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}moviemk.exe" ${UN}MOVIEMK.EXE
        !insertmacro ${MacroName} "System Files\EXE" "moviemk.exe" "$PROGRAMFILES\Movie Maker"
      SectionEnd

      Section ${ONOFF} "${UN}mplayerc.exe" ${UN}MPLAYERC.EXE
        ReadRegStr $AppDir HKLM "SOFTWARE\KLCodecPack" "installdir"
        !insertmacro ${MacroName} "System Files\EXE" "mplayerc.exe" "$AppDir\Media Player Classic"
      SectionEnd

      Section ${ONOFF} "${UN}msascui.exe" ${UN}MSASCUI.EXE
        ReadRegStr $AppDir HKLM "SOFTWARE\Microsoft\Windows Defender" "InstallLocation"
        !insertmacro ${MacroName} "System Files\EXE" "msascui.exe" "$AppDir"
      SectionEnd

      Section ${ONOFF} "${UN}msconfig.exe" ${UN}MSCONFIG.EXE
        !insertmacro ${MacroName} "System Files\EXE" "msconfig.exe" "$WINDIR\pchealth\helpctr\binaries"
      SectionEnd

      Section ${ONOFF} "${UN}mshearts.exe" ${UN}MSHEARTS.EXE
        !insertmacro ${MacroName} "System Files\EXE" "mshearts.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}msiexec.exe" ${UN}MSIEXEC.EXE
        !insertmacro ${MacroName} "System Files\EXE" "msiexec.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}msinfo32.exe" ${UN}MSINFO32.EXE
        !insertmacro ${MacroName} "System Files\EXE" "msinfo32.exe" "$COMMONFILES\Microsoft Shared\MSInfo"
      SectionEnd

      Section ${ONOFF} "${UN}msmsgs.exe" ${UN}MSMSGS.EXE
        !insertmacro ${MacroName} "System Files\EXE" "msmsgs.exe" "$PROGRAMFILES\Messenger"
      SectionEnd

      Section ${ONOFF} "${UN}mspaint.exe" ${UN}MSPAINT.EXE
        !insertmacro ${MacroName} "System Files\EXE" "mspaint.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}mstsc.exe" ${UN}MSTSC.EXE
        !insertmacro ${MacroName} "System Files\EXE" "mstsc.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}narrator.exe" ${UN}NARRATOR.EXE
        !insertmacro ${MacroName} "System Files\EXE" "narrator.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}netsetup.exe" ${UN}NETSETUP.EXE
        !insertmacro ${MacroName} "System Files\EXE" "netsetup.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}notepad.exe" ${UN}NOTEPAD.EXE
        !insertmacro ${MacroName} "System Files\EXE" "notepad.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}ntbackup.exe" ${UN}NTBACKUP.EXE
        !insertmacro ${MacroName} "System Files\EXE" "ntbackup.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}odbcad32.exe" ${UN}ODBCAD32.EXE
        !insertmacro ${MacroName} "System Files\EXE" "odbcad32.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}osk.exe" ${UN}OSK.EXE
        !insertmacro ${MacroName} "System Files\EXE" "osk.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}osuninst.exe" ${UN}OSUNINST.EXE
        !insertmacro ${MacroName} "System Files\EXE" "osuninst.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}packager.exe" ${UN}PACKAGER.EXE
        !insertmacro ${MacroName} "System Files\EXE" "packager.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}paintdotnet.exe" ${UN}PAINTDOTNET.EXE
        ReadRegStr $AppDir HKLM "SOFTWARE\Paint.NET" "TARGETDIR"
        !insertmacro ${MacroName} "System Files\EXE" "paintdotnet.exe" "$AppDir"
      SectionEnd

      Section ${ONOFF} "${UN}perfmon.exe" ${UN}PERFMON.EXE
        !insertmacro ${MacroName} "System Files\EXE" "perfmon.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}rcimlby.exe" ${UN}RCIMLBY.EXE
        !insertmacro ${MacroName} "System Files\EXE" "rcimlby.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}regedit.exe" ${UN}REGEDIT.EXE
        !insertmacro ${MacroName} "System Files\EXE" "regedit.exe" "$WINDIR"
      SectionEnd

      Section ${ONOFF} "${UN}regedt32.exe" ${UN}REGEDT32.EXE
        !insertmacro ${MacroName} "System Files\EXE" "regedt32.exe" "$WINDIR"
      SectionEnd

      Section ${ONOFF} "${UN}rsnotify.exe" ${UN}RSNOTIFY.EXE
        !insertmacro ${MacroName} "System Files\EXE" "rsnotify.exe" "$WINDIR"
      SectionEnd

      Section ${ONOFF} "${UN}rstrui.exe" ${UN}RSTRUI.EXE
        !insertmacro ${MacroName} "System Files\EXE" "rstrui.exe" "$SYSDIR\restore"
      SectionEnd

      Section ${ONOFF} "${UN}rtcshare.exe" ${UN}RTCSHARE.EXE
        !insertmacro ${MacroName} "System Files\EXE" "rtcshare.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}shrpubw.exe" ${UN}SHRPUBW.EXE
        !insertmacro ${MacroName} "System Files\EXE" "shrpubw.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}sigverif.exe" ${UN}SIGVERIF.EXE
        !insertmacro ${MacroName} "System Files\EXE" "sigverif.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}sndrec32.exe" ${UN}SNDREC32.EXE
        !insertmacro ${MacroName} "System Files\EXE" "sndrec32.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}sndvol32.exe" ${UN}SNDVOL32.EXE
        !insertmacro ${MacroName} "System Files\EXE" "sndvol32.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}sol.exe" ${UN}SOL.EXE
        !insertmacro ${MacroName} "System Files\EXE" "sol.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}spider.exe" ${UN}SPIDER.EXE
        !insertmacro ${MacroName} "System Files\EXE" "spider.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}stimon.exe" ${UN}STIMON.EXE
        !insertmacro ${MacroName} "System Files\EXE" "stimon.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}syncapp.exe" ${UN}SYNCAPP.EXE
        !insertmacro ${MacroName} "System Files\EXE" "syncapp.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}syskey.exe" ${UN}SYSKEY.EXE
        !insertmacro ${MacroName} "System Files\EXE" "syskey.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}sysocmgr.exe" ${UN}SYSOCMGR.EXE
        !insertmacro ${MacroName} "System Files\EXE" "sysocmgr.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}taskmgr.exe" ${UN}TASKMGR.EXE
        !insertmacro ${MacroName} "System Files\EXE" "taskmgr.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}telnet.exe" ${UN}TELNET.EXE
        !insertmacro ${MacroName} "System Files\EXE" "telnet.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}tourstart.exe" ${UN}TOURSTART.EXE
        !insertmacro ${MacroName} "System Files\EXE" "tourstart.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}tweakui.exe" ${UN}TWEAKUI.EXE
        !insertmacro ${MacroName} "System Files\EXE" "tweakui.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}utilman.exe" ${UN}UTILMAN.EXE
        !insertmacro ${MacroName} "System Files\EXE" "utilman.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}verifier.exe" ${UN}VERIFIER.EXE
        !insertmacro ${MacroName} "System Files\EXE" "verifier.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}wiaacmgr.exe" ${UN}WIAACMGR.EXE
        !insertmacro ${MacroName} "System Files\EXE" "wiaacmgr.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}winchat.exe" ${UN}WINCHAT.EXE
        !insertmacro ${MacroName} "System Files\EXE" "winchat.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}winhlp32.exe" ${UN}WINHLP32.EXE
        !insertmacro ${MacroName} "System Files\EXE" "winhlp32.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}winmine.exe" ${UN}WINMINE.EXE
        !insertmacro ${MacroName} "System Files\EXE" "winmine.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}wmccfg.exe" ${UN}WMCCFG.EXE
        !insertmacro ${MacroName} "System Files\EXE" "wmccfg.exe" "$PROGRAMFILES\Windows Media Connect 2"
      SectionEnd

      Section ${ONOFF} "${UN}wmplayer.exe" ${UN}WMPLAYER.EXE
        !insertmacro ${MacroName} "System Files\EXE" "wmplayer.exe" "$PROGRAMFILES\Windows Media Player"
      SectionEnd

      Section ${ONOFF} "${UN}wordpad.exe" ${UN}WORDPAD.EXE
        ReadRegStr $AppDir HKLM "Software\Microsoft\Windows\CurrentVersion\App Paths\wordpad.exe" ""
        StrCpy $AppDir $AppDir -13 16
        !insertmacro ${MacroName} "System Files\EXE" "wordpad.exe" "$PROGRAMFILES\$AppDir"
      SectionEnd

      Section ${ONOFF} "${UN}wpabaln.exe" ${UN}WPABALN.EXE
        !insertmacro ${MacroName} "System Files\EXE" "wpabaln.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}write.exe" ${UN}WRITE.EXE
        !insertmacro ${MacroName} "System Files\EXE" "write.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}wscript.exe" ${UN}WSCRIPT.EXE
        !insertmacro ${MacroName} "System Files\EXE" "wscript.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}wuauclt.exe" ${UN}WUAUCLT.EXE
        !insertmacro ${MacroName} "System Files\EXE" "wuauclt.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}wupdmgr.exe" ${UN}WUPDMGR.EXE
        !insertmacro ${MacroName} "System Files\EXE" "wupdmgr.exe" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}yahoowidgetengine.exe" ${UN}YAHOOWIDGETENGINE.EXE
        ReadRegStr $AppDir HKLM "Software\Yahoo\Essentials" "MainDir"
        !insertmacro ${MacroName} "System Files\EXE" "yahoowidgetengine.exe" "$AppDir\WidgetEngine"
      SectionEnd
    SectionGroupEnd



#==========================================
# SECTION - OCX FILES
#==========================================
    SectionGroup "${UN}OCX System Files" ${UN}SYSTEMFILES_OCX
      Section ${ONOFF} "${UN}asctrls.ocx" ${UN}ASCTRLS.OCX
        !insertmacro ${MacroName} "System Files\OCX" "asctrls.ocx" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}hhctrl.ocx" ${UN}HHCTRL.OCX
        !insertmacro ${MacroName} "System Files\OCX" "hhctrl.ocx" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}msdxm.ocx" ${UN}MSDXM.OCX
        !insertmacro ${MacroName} "System Files\OCX" "msdxm.ocx" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}plugin.ocx" ${UN}PLUGIN.OCX
        !insertmacro ${MacroName} "System Files\OCX" "plugin.ocx" "$SYSDIR"
      SectionEnd

      Section ${ONOFF} "${UN}sysmon.ocx" ${UN}SYSMON.OCX
        !insertmacro ${MacroName} "System Files\OCX" "sysmon.ocx" "$SYSDIR"
      SectionEnd
    SectionGroupEnd




#==========================================
# SECTION - OFFICE XP/2003 FILES
#==========================================
    !ifndef BatchRestoreScript
    SectionGroup "${UN}Office XP/2003" ${UN}SYSTEMFILES_OFFICE
      Section ${ONOFF} "${UN}accicons.exe" ${UN}ACCICONS.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName} ""accicons.exe" "SOFTWARE\Classes\Access.Application.11\DefaultIcon" ""
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "accicons.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}addrpars.dll" ${UN}ADDRPARS.DLL
        !insertmacro ${UN}OfficeFiles "${MacroName}" "addrpars.dll" "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\addrpars.dll" "Path"
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "addrpars.dll"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}cagicon.exe" ${UN}CAGICON.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "cagicon.exe" "SOFTWARE\Classes\Access.Application.11\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "cagicon.exe" "SOFTWARE\Classes\fpxmlfile\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "cagicon.exe" "SOFTWARE\Classes\OneNote.Section.1\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "cagicon.exe" "SOFTWARE\Classes\Outlook.Template\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "cagicon.exe" "SOFTWARE\Classes\MSProject.Template\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "cagicon.exe" "SOFTWARE\Classes\PowerPoint.Template.8\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "cagicon.exe" "SOFTWARE\Classes\Publisher.Document.11\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "cagicon.exe" "SOFTWARE\Classes\Visio.Drawing.11\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "cagicon.exe" "SOFTWARE\Classes\Word.Wizard.8\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "cagicon.exe" "SOFTWARE\Classes\Excel.Template\DefaultIcon" ""
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "cagicon.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}excel.exe" ${UN}EXCEL.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "excel.exe" "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\excel.exe" "Path"
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "excel.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}frontpg.exe" ${UN}FRONTPG.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "frontpg.exe" "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\frontpg.exe" "Path"

        !ifdef UXThemePatcher
          ReadRegStr $AppDir HKCU "Software\Microsoft\FrontPage\Explorer\FrontPage Explorer\Settings" "DefaultWebName"
          IfFileExists "$AppDir\_vti_pvt\fpdbw.ico" 0 +5
          IfFileExists "$AppDir\_vti_pvt\fpdbw.backup" +2
          Rename "$AppDir\_vti_pvt\fpdbw.ico" "$AppDir\_vti_pvt\fpdbw.backup"
          SetOutPath "$AppDir\_vti_pvt"
          File "/oname=$AppDir\_vti_pvt\fpdbw.ico" "System Files\My Web Sites.ico"
        !endif

        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "frontpg.exe"

          ReadRegStr $AppDir HKCU "Software\Microsoft\FrontPage\Explorer\FrontPage Explorer\Settings" "DefaultWebName"
          IfFileExists "$AppDir\_vti_pvt\fpdbw.backup" 0 +3
          Delete "$AppDir\_vti_pvt\fpdbw.ico"
          Rename "$AppDir\_vti_pvt\fpdbw.backup" "$AppDir\_vti_pvt\fpdbw.ico"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}fpicon.exe" ${UN}FPICON.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "fpicon.exe" "SOFTWARE\Classes\fpxmlfile\DefaultIcon" ""
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "fpicon.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}inficon.exe" ${UN}INFICON.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "inficon.exe" "SOFTWARE\Classes\InfoPath.Document.1\DefaultIcon" ""
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "inficon.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}infopath.exe" ${UN}INFOPATH.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "infopath.exe" "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\infopath.exe" "Path"
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "infopath.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}joticon.exe" ${UN}JOTICON.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "joticon.exe" "SOFTWARE\Classes\OneNote.Section.1\DefaultIcon" ""
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "joticon.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}misc.exe" ${UN}MISC.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "misc.exe" "SOFTWARE\Classes\Access.Application.11\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "misc.exe" "SOFTWARE\Classes\fpxmlfile\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "misc.exe" "SOFTWARE\Classes\OneNote.Section.1\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "misc.exe" "SOFTWARE\Classes\Outlook.Template\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "misc.exe" "SOFTWARE\Classes\MSProject.Template\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "misc.exe" "SOFTWARE\Classes\Publisher.Document.11\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "misc.exe" "SOFTWARE\Classes\PowerPoint.Template.8\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "misc.exe" "SOFTWARE\Classes\Visio.Drawing.11\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "misc.exe" "SOFTWARE\Classes\Word.Wizard.8\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "misc.exe" "SOFTWARE\Classes\Excel.Template\DefaultIcon" ""
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "misc.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}msaccess.exe" ${UN}MSACCESS.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "msaccess.exe" "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\msaccess.exe" "Path"
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "msaccess.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}mspicons.exe" ${UN}MSPICONS.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "mspicons.exe" "SOFTWARE\Classes\Word.Wizard.8\DefaultIcon" ""
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "mspicons.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}mspub.exe" ${UN}MSPUB.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "mspub.exe" "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\mspub.exe" "Path"
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "mspub.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}mspview.exe" ${UN}MSPVIEW.EXE
        !insertmacro ${MacroName} "System Files\Office" "mspview.exe" "$COMMONFILES\Microsoft Shared\MODI\11.0"
        !insertmacro ${MacroName} "System Files\Office" "mspview.exe" "$COMMONFILES\Microsoft Shared\MODI\12.0"
      SectionEnd

      Section ${ONOFF} "${UN}ois.exe" ${UN}OIS.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "ois.exe" "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\ois.exe" "Path"
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "ois.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}oisicon.exe" ${UN}OISICON.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "oisicon.exe" "SOFTWARE\Classes\fpxmlfile\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "oisicon.exe" "SOFTWARE\Classes\Word.Wizard.8\DefaultIcon" ""
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "oisicon.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}olkfstub.dll" ${UN}OLKFSTUB.DLL
        !insertmacro ${UN}OfficeFiles "${MacroName}" "olkfstub.dll" "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\olkfstub.dll" "Path"
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "olkfstub.dll"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}onenote.exe" ${UN}ONENOTE.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "onenote.exe" "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\onenote.exe" "Path"
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "onenote.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}onenotem.exe" ${UN}ONENOTEM.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "onenotem.exe" "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\onenote.exe" "Path"
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "onenotem.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}opwicon.exe" ${UN}OPWICON.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "opwicon.exe" "SOFTWARE\Classes\Access.Application.11\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "opwicon.exe" "SOFTWARE\Classes\fpxmlfile\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "opwicon.exe" "SOFTWARE\Classes\OneNote.Section.1\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "opwicon.exe" "SOFTWARE\Classes\Outlook.Template\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "opwicon.exe" "SOFTWARE\Classes\MSProject.Template\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "opwicon.exe" "SOFTWARE\Classes\Publisher.Document.11\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "opwicon.exe" "SOFTWARE\Classes\PowerPoint.Template.8\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "opwicon.exe" "SOFTWARE\Classes\Visio.Drawing.11\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "opwicon.exe" "SOFTWARE\Classes\Word.Wizard.8\DefaultIcon" ""
        !insertmacro ${UN}OfficeFiles "${MacroName}" "opwicon.exe" "SOFTWARE\Classes\Excel.Template\DefaultIcon" ""
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "opwicon.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}osa.exe" ${UN}OSA.EXE
        !insertmacro ${MacroName} "System Files\Office" "osa.exe" "$PROGRAMFILES\Microsoft Office\OFFICE11"
        !insertmacro ${MacroName} "System Files\Office" "osa.exe" "$PROGRAMFILES\Microsoft Office\OFFICE12"
      SectionEnd

      Section ${ONOFF} "${UN}outicon.exe" ${UN}OUTICON.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName} ""outicon.exe" "SOFTWARE\Classes\Outlook.Template\DefaultIcon" ""
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "outicon.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}outlook.exe" ${UN}OUTLOOK.EXE
        IfFileExists "$PROGRAMFILES\Microsoft Windows OneCare Live\winssnotify.exe" SKIP
        !insertmacro ${UN}OfficeFiles "${MacroName}" "outlook.exe" "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\outlook.exe" "Path"
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "outlook.exe"
        !endif
        SKIP:
      SectionEnd

      Section ${ONOFF} "${UN}pj11icon.exe" ${UN}PJ11ICON.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "pj11icon.exe" "SOFTWARE\Classes\MSProject.Template\DefaultIcon" ""
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "pj11icon.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}powerpnt.exe" ${UN}POWERPNT.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "powerpnt.exe" "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\powerpnt.exe" "Path"
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "powerpnt.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}pptico.exe" ${UN}PPTICO.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "pptico.exe" "SOFTWARE\Classes\PowerPoint.Template.8\DefaultIcon" ""
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "pptico.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}proflwiz.exe" ${UN}PROFLWIZ.EXE
        !insertmacro ${MacroName} "System Files\Office" "proflwiz.exe" "$PROGRAMFILES\Microsoft Office\OFFICE11"
        !insertmacro ${MacroName} "System Files\Office" "proflwiz.exe" "$PROGRAMFILES\Microsoft Office\OFFICE12"
      SectionEnd

      Section ${ONOFF} "${UN}pubs.exe" ${UN}PUBS.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "pubs.exe" "SOFTWARE\Classes\Publisher.Document.11\DefaultIcon" ""
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "pubs.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}visio.exe" ${UN}VISIO.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "visio.exe" "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\visio.exe" "Path"

        !ifdef UXThemePatcher
          ReadRegStr $AppDir HKCU "Software\Microsoft\Office\10.0\Visio\Application" "MyShapesPath"
            StrCmp "$AppDir" "" 0 +5
          ReadRegStr $AppDir HKCU "Software\Microsoft\Office\11.0\Visio\Application" "MyShapesPath"
            StrCmp "$AppDir" "" 0 +3
          ReadRegStr $AppDir HKCU "Software\Microsoft\Office\12.0\Visio\Application" "MyShapesPath"
            StrCmp "$AppDir" "" 0

          IfFileExists "$AppDir\_private\folder.ico" 0 +5
          IfFileExists "$AppDir\_private\folder.backup" +2
          Rename "$AppDir\_private\folder.ico" "$AppDir\_private\folder.backup"
          SetOutPath "$AppDir\_private"
          File "/oname=$AppDir\_private\folder.ico" "System Files\My Shapes.ico"
        !endif

        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "visio.exe"
          ReadRegStr $AppDir HKCU "Software\Microsoft\Office\11.0\Visio\Application" "MyShapesPath"
          IfFileExists "$AppDir\_private\folder.backup" 0 +3
          Delete "$AppDir\_private\folder.ico"
          Rename "$AppDir\_private\folder.backup" "$AppDir\_private\folder.ico"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}visicon.exe" ${UN}VISICON.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "visicon.exe" "SOFTWARE\Classes\Visio.Drawing.11\DefaultIcon" ""
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "visicon.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}winproj.exe" ${UN}WINPROJ.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "winproj.exe" "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\winproj.exe" "Path"
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "winproj.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}winword.exe" ${UN}WINWORD.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "winword.exe" "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\winword.exe" "Path"
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "winword.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}wordicon.exe" ${UN}WORDICON.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "wordicon.exe" "SOFTWARE\Classes\Word.Wizard.8\DefaultIcon" ""
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "wordicon.exe"
        !endif
      SectionEnd

      Section ${ONOFF} "${UN}xlicons.exe" ${UN}XLICONS.EXE
        !insertmacro ${UN}OfficeFiles "${MacroName}" "xlicons.exe" "SOFTWARE\Classes\Excel.Template\DefaultIcon" ""
        !ifdef Uninstaller
          !insertmacro un.OfficeCleanup "xlicons.exe"
        !endif
      SectionEnd
    SectionGroupEnd
    !endif




#==========================================
# SECTION - OUTLOOK EXPRESS FILES
#==========================================
    SectionGroup "${UN}Outlook Express" ${UN}SYSTEMFILES_OUTLOOKEXPRESS
      Section ${ONOFF} "${UN}msimn.exe" ${UN}MSIMN.EXE
        !insertmacro ${MacroName} "System Files\Outlook Express" "msimn.exe" "$PROGRAMFILES\Outlook Express"
      SectionEnd

      Section ${ONOFF} "${UN}msoeres.dll" ${UN}MSOERES.DLL
        !insertmacro ${MacroName} "System Files\Outlook Express" "msoeres.dll" "$PROGRAMFILES\Outlook Express"
      SectionEnd

      Section ${ONOFF} "${UN}wab.exe" ${UN}WAB.EXE
        !insertmacro ${MacroName} "System Files\Outlook Express" "wab.exe" "$PROGRAMFILES\Outlook Express"
      SectionEnd

      Section ${ONOFF} "${UN}wabfind.dll" ${UN}WABFIND.DLL
        !insertmacro ${MacroName} "System Files\Outlook Express" "wabfind.dll" "$PROGRAMFILES\Outlook Express"
      SectionEnd

      Section ${ONOFF} "${UN}wabimp.dll" ${UN}WABIMP.DLL
        !insertmacro ${MacroName} "System Files\Outlook Express" "wabimp.dll" "$PROGRAMFILES\Outlook Express"
      SectionEnd

      Section ${ONOFF} "${UN}wabmig.exe" ${UN}WABMIG.EXE
        !insertmacro ${MacroName} "System Files\Outlook Express" "wabmig.exe" "$PROGRAMFILES\Outlook Express"
      SectionEnd

      Section ${ONOFF} "${UN}wab32.dll" ${UN}WAB32.DLL
        !insertmacro ${MacroName} "System Files\Outlook Express" "wab32.dll" "$COMMONFILES\System"
      SectionEnd

      Section ${ONOFF} "${UN}wab32res.dll" ${UN}WAB32RES.DLL
        !insertmacro ${MacroName} "System Files\Outlook Express" "wab32res.dll" "$COMMONFILES\System"
      SectionEnd
    SectionGroupEnd



  SectionGroupEnd
!macroend